<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/oneafiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 2 templates -->

	<xsl:template name="Item2">
		<h3>
			<em>Issuer Eligibility </em>
		</h3>
		<xsl:call-template name="issuerEligibility" />

	</xsl:template>


	<xsl:template name="issuerEligibility">
		<p>
			<em>Check this box to certify that all of the following statements
				are true for the issuer(s)</em>
		</p>
		<p>
			<xsl:choose>
				<xsl:when test="string(m1:issuerEligibility/m1:certifyIfTrue) ='true'">
					<img src="/Images/box-checked.jpg" alt="Checkbox checked"/>
				</xsl:when>
				<xsl:otherwise>
					<img src="/Images/box-unchecked.jpg" alt="Checkbox not checked"/>
				</xsl:otherwise>
			</xsl:choose>
		</p>
		<p>
			<ul>
				<li>Organized under the laws of the United States or Canada, or any
					State, Province, Territory or possession thereof, or the District
					of Columbia.</li>
				<li>Principal place of business is in the United States or Canada.</li>
				<li>Not subject to section 13 or 15(d) of the Securities Exchange
					Act of 1934.</li>
				<li>Not a development stage company that either (a) has no specific
					business plan or purpose, or (b) has indicated that its business
					plan is to merge with an unidentified company or companies.</li>
				<li>Not an investment company registered or required to be
					registered under the Investment Company Act of 1940.</li>
				<li>Not issuing fractional undivided interests in oil or gas rights,
					or a similar interest in other mineral rights.</li>
				<li>Not issuing asset-backed securities as defined in Item 1101 (c)
					of Regulation AB.</li>
				<li>Not, and has not been, subject to any order of the Commission
					entered pursuant to Section 12(j) of the Exchange Act (15 U.S.C.
					78l(j)) within five years before the filing of this offering
					statement.</li>
				<li>Has filed with the Commission all the reports it was required to
					file, if any, pursuant to Rule 257 during the two years immediately
					before the filing of the offering statement (or for such shorter
					period that the issuer was required to file such reports).
				</li>
			</ul>

		</p>
	</xsl:template>
</xsl:stylesheet>