<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/oneafiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 3 templates -->

	<xsl:template name="Item3">
		<h3>
			<em>Application Rule 262 </em>
		</h3>
		<xsl:call-template name="applicationRule262" />

	</xsl:template>


	<xsl:template name="applicationRule262">
		<p>
			<em>Check this box to certify that, as of the time of this filing,
				each person described in Rule 262 of Regulation A is either not
				disqualified under that rule or is disqualified but has received a
				waiver of such disqualification.
			</em>
		</p>
		<p>
			<xsl:choose>
				<xsl:when
					test="string(m1:applicationRule262/m1:certifyIfNotDisqualified) ='true'">
					<img src="/Images/box-checked.jpg" alt="Checkbox checked" />
				</xsl:when>
				<xsl:otherwise>
					<img src="/Images/box-unchecked.jpg" alt="Checkbox not checked" />
				</xsl:otherwise>
			</xsl:choose>
		</p>

		<p>
			<em>Check this box if "bad actor" disclosure under Rule 262(d) is
				provided in Part II of the offering statement.
			</em>
		</p>
		<p>
			<xsl:choose>
				<xsl:when
					test="string(m1:applicationRule262/m1:certifyIfBadActor) ='true'">
					<img src="/Images/box-checked.jpg" alt="Checkbox checked" />
				</xsl:when>
				<xsl:otherwise>
					<img src="/Images/box-unchecked.jpg" alt="Checkbox not checked" />
				</xsl:otherwise>
			</xsl:choose>
		</p>
	</xsl:template>
</xsl:stylesheet>