<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/oneafiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 5 templates -->

	<xsl:template name="Item5">

		<h3>
			<em>Jurisdictions in Which Securities are to be Offered</em>
		</h3>
		<xsl:call-template name="Jurisdictions" />

	</xsl:template>

	<xsl:template name="Jurisdictions">

		<table role="presentation" >
			<tr>
				<h4>
					Using the list below, select the jurisdictions in which
					the
					issuer intends to offer the securities
				</h4>
			</tr>
			<tr>
				<td class="label">Selected States and Jurisdictions
				</td>
				<td>
					<p>
						<div align="left">
							<xsl:for-each
								select="m1:juridictionSecuritiesOffered/m1:issueJuridicationSecuritiesOffering">
								<div class="fakeInput">
									<xsl:call-template name="stateDescription">
										<xsl:with-param name="stateCode" select="." />
									</xsl:call-template>
								</div>
							</xsl:for-each>
						</div>
					</p>
				</td>
			</tr>
		</table>
		<table role="presentation" >
			<tr>
				<h4>
					Using the list below, select the jurisdictions in which the
					securities are to be offered by underwriters, dealers or sales
					persons or check the appropriate box
				</h4>
			</tr>
			<tr>
				<td class="label">
					None
				</td>
				<td>
					<xsl:choose>
						<xsl:when
							test="(m1:juridictionSecuritiesOffered/m1:jurisdictionsOfSecOfferedNone) ='true'">
							<img src="/Images/box-checked.jpg" alt="Checkbox checked" />
						</xsl:when>
						<xsl:otherwise>
							<img src="/Images/box-unchecked.jpg"
								alt="Checkbox not checked" />
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td class="label">
					Same as the jurisdictions in which the issuer intends
					to offer the securities
				</td>
				<td>
					<xsl:choose>
						<xsl:when
							test="(m1:juridictionSecuritiesOffered/m1:jurisdictionsOfSecOfferedSame) ='true'">
							<img src="/Images/box-checked.jpg" alt="Checkbox checked" />
						</xsl:when>
						<xsl:otherwise>
							<img src="/Images/box-unchecked.jpg"
								alt="Checkbox not checked" />
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>


			<tr>
				<td class="label">Selected States and Jurisdictions
				</td>
				<td>
					<p>
						<div align="left">
							<xsl:for-each
								select="m1:juridictionSecuritiesOffered/m1:dealersJuridicationSecuritiesOffering">
								<div class="fakeInput">
									<xsl:call-template name="stateDescription">
										<xsl:with-param name="stateCode" select="." />
									</xsl:call-template>
								</div>
							</xsl:for-each>
						</div>
					</p>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>