<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/oneafiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 6 templates -->

	<xsl:template name="Item6">
		<h3>
			<em>Unregistered Securities Issued or Sold Within One Year
			</em>
		</h3>
		<xsl:call-template name="unregisteredSecurities" />

		<xsl:for-each select="m1:securitiesIssued">
			<h3>
				<em>Unregistered Securities Issued
				</em>
			</h3>
			<xsl:call-template name="securitiesIssued" />
		</xsl:for-each>

		<h3>
			<em>Unregistered Securities Act
			</em>
		</h3>
		<xsl:call-template name="unregisteredSecuritiesAct" />

	</xsl:template>

	<xsl:template name="unregisteredSecurities">
		<p>
			None
			<xsl:choose>
				<xsl:when
					test="string(m1:unregisteredSecurities/m1:ifUnregsiteredNone) ='true'">
					<img src="/Images/box-checked.jpg" alt="Checkbox checked" />
				</xsl:when>
				<xsl:otherwise>
					<img src="/Images/box-unchecked.jpg" alt="Checkbox not checked" />
				</xsl:otherwise>
			</xsl:choose>
		</p>
	</xsl:template>

	<xsl:template name="securitiesIssued">
		<p>As to any unregistered securities issued by the issuer of any of
			its predecessors or affiliated issuers within one year before the
			filing of this Form 1-A, state:
		</p>
		<table role="presentation" >
			<tr>
				<td class="label">(a)Name of such issuer</td>
				<td>
					<div class="fakeBox3">
						<xsl:value-of select="m1:securitiesIssuerName" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">(b)(1) Title of securities issued</td>
				<td>
					<div class="fakeBox3">
						<xsl:value-of select="m1:securitiesIssuerTitle" />
					</div>
					<span>
						<xsl:text>&#160;</xsl:text>
					</span>

				</td>
			</tr>
			<tr>
				<td class="label">(2) Total Amount of such securities issued</td>
				<td>
					<div class="fakeBox2">
						<xsl:value-of select="m1:securitiesIssuedTotalAmount" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">(3) Amount of such securities sold by or for the
					account of any person who at the time was a director, officer,
					promoter or principal securityholder of the issuer of such
					securities, or was an underwriter of any securities of such issuer.</td>
				<td>
					<div class="fakeBox2">
						<xsl:value-of select="m1:securitiesPrincipalHolderAmount" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">(c)(1) Aggregate consideration for which the securities
					were issued and basis for computing the amount thereof.</td>
				<td>
					<div class="fakeBox3">
						<xsl:value-of select="m1:securitiesIssuedAggregateAmount" />
					</div>
					<span>
						<xsl:text>&#160;</xsl:text>
					</span>

				</td>
			</tr>
			<tr>
				<td class="label">(2) Aggregate consideration for which the securities
					listed in (b)(3) of this item (if any) were issued and the basis
					for computing the amount thereof (if different from the basis
					described in (c)(1)).
				</td>
				<td>
					<div class="fakeBox3">
						<xsl:value-of select="m1:aggregateConsiderationBasis" />
					</div>
					<span>
						<xsl:text>&#160;</xsl:text>
					</span>

				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="unregisteredSecuritiesAct">
		<table role="presentation" >
			<tr>
				<td class="label">(d) Indicate the section of the Securities Act or
					Commission rule or regulation relied upon for exemption from the
					registration requirements of such Act and state briefly the facts
					relied upon for such exemption
				</td>
				<td>
					<div class="fakeBox3">
						<xsl:value-of
							select="string(m1:unregisteredSecuritiesAct/m1:securitiesActExcemption)" />
					</div>
					<span>
						<xsl:text>&#160;</xsl:text>
					</span>
				</td>
			</tr>
		</table>


	</xsl:template>

</xsl:stylesheet>