<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/onekfiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 1 templates -->
	<xsl:template name="Item1">		
		<xsl:call-template name="IssuerInfo" />

		
		<xsl:call-template name="IssuerContactInfo" />

	</xsl:template>


	<xsl:template name="IssuerInfo">
		<table role="presentation" >
			<tr>
				<td class="label">
					This Form 1-K is to provide an
				</td>
				<td>
					<span class="yesNo">
						<xsl:choose>
							<xsl:when test="count(m1:item1/m1:formIndication) &gt; 0">
								<xsl:choose>
									<xsl:when
										test="string(m1:item1/m1:formIndication) = 'Annual Report'">
										<img src="/Images/radio-checked.jpg" alt="Radio button checked" />
										Annual Report
										<img src="/Images/radio-unchecked.jpg"
											alt="Radio button not checked" />
										Special Financial Report for the fiscal year
									</xsl:when>
								</xsl:choose>
								<xsl:choose>
									<xsl:when
										test="string(m1:item1/m1:formIndication) = 'Special Financial Report for the fiscal year'">
										<img src="/Images/radio-unchecked.jpg" alt="Radio button not checked" />
										Annual Report
										<img src="/Images/radio-checked.jpg"
											alt="Radio button checked" />
										Special Financial Report for the fiscal year
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<img src="/Images/radio-unchecked.jpg" alt="Radio button not checked" />
								Annual Report
								<img src="/Images/radio-unchecked.jpg"
									alt="Radio button not checked" />
								Special Financial Report for the fiscal year
							</xsl:otherwise>
						</xsl:choose>
					</span>
				</td>
			</tr>
			<tr>
				<td class="label">Fiscal Year End </td>
				<td>
					<p>
						<div align="left">
							<div class="fakeBox2">
								<xsl:value-of select="string(m1:item1/m1:fiscalYearEnd)" />
								<span>
									<xsl:text>&#160;</xsl:text>
								</span>
							</div>
						</div>
					</p>
				</td>
			</tr>
		</table>
		<xsl:for-each select="m1:item1Info">
			<table role="presentation" >
				<tr>
					<td class="label">Exact name of issuer as specified in the issuer's
						charter
					</td>
					<td>
						<p>
							<div class="fakeBox">
								<xsl:value-of select="m1:issuerName" />
								<span>
									<xsl:text>&#160;</xsl:text>
								</span>
							</div>
						</p>
					</td>
				</tr>
				<tr>
					<td class="label">CIK</td>
					<td>
						<p>
							<div align="left">
								<div class="fakeBox2">
									<xsl:value-of select="m1:cik" />
									<span>
										<xsl:text>&#160;</xsl:text>
									</span>
								</div>
							</div>
						</p>
					</td>
				</tr>
				<tr>
					<td class="label">Jurisdiction of Incorporation / Organization </td>
					<td>
						<p>
							<div class="fakeBox">
								<xsl:call-template name="stateDescription">
									<xsl:with-param name="stateCode"
										select="(./m1:jurisdictionOrganization)" />
								</xsl:call-template>
								<span>
									<xsl:text>&#160;</xsl:text>
								</span>
							</div>
						</p>
					</td>
				</tr>
				<tr>
					<td class="label">I.R.S. Employer Identification Number  </td>
					<td>
						<p>
							<div align="left">
								<div class="fakeBox2">
									<xsl:value-of select="m1:irsNum" />
									<span>
										<xsl:text>&#160;</xsl:text>
									</span>
								</div>
							</div>
						</p>
					</td>
				</tr>
			</table>
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="IssuerContactInfo">
		<table role="presentation" >
			<tr>
				<h4>Address of Principal Executive Offices</h4>
			</tr>
			<tr>
				<td class="label">Address 1 </td>
				<td>
					<p>
						<div class="fakeBox">
							<xsl:value-of select="string(m1:item1/m1:street1)" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Address 2 </td>
				<td>
					<p>
						<div class="fakeBox">
							<xsl:value-of select="string(m1:item1/m1:street2)" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">City </td>
				<td>
					<p>
						<div class="fakeBox">
							<xsl:value-of select="string(m1:item1/m1:city)" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">State/Country   </td>
				<td>
					<p>
						<div class="fakeBox">
							<xsl:call-template name="stateDescription">
								<xsl:with-param name="stateCode"
									select="string(./m1:item1/m1:stateOrCountry)" />
							</xsl:call-template>
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Mailing Zip/ Postal Code  </td>
				<td>
					<p>
						<div align="left">
							<div class="fakeBox2">
								<xsl:value-of select="string(m1:item1/m1:zipCode)" />
								<span>
									<xsl:text>&#160;</xsl:text>
								</span>
							</div>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Phone</td>
				<td>
					<p>
						<div align="left">
							<div class="fakeBox2">
								<xsl:value-of select="string(m1:item1/m1:phoneNumber)" />
								<span>
									<xsl:text>&#160;</xsl:text>
								</span>
							</div>
						</div>
					</p>
				</td>
			</tr>
			<xsl:for-each select="m1:item1">
				<tr>
					<td class="label">Title of each class of securities issued pursuant to
						Regulation A
					</td>
					<td>
						<p>
							<div class="fakeBox">
								<xsl:value-of select="m1:issuedSecuritiesTitle" />
								<span>
									<xsl:text>&#160;</xsl:text>
								</span>
							</div>
						</p>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>