<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/onekfiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 2 templates -->

	<xsl:template name="Item2">

		<xsl:for-each select="m1:summaryInfo">
			<h3>
				<em>Summary Information </em>
			</h3>
			<xsl:call-template name="summaryInformation" />
		</xsl:for-each>
		<xsl:for-each select="m1:summaryInfo">
			<h3>
				<em>Fees in connection with this offering and names of service
					providers.
				</em>
			</h3>
			<xsl:call-template name="feesSP" />
		</xsl:for-each>
	</xsl:template>


	<xsl:template name="summaryInformation">
		<p>
			<xsl:choose>
				<xsl:when test="string(m1:item2/m1:regArule257) ='true'">
					<img src="/Images/box-checked.jpg" alt="Checkbox checked" />
				</xsl:when>
				<xsl:otherwise>
					<img src="/Images/box-unchecked.jpg" alt="Checkbox not checked" />
				</xsl:otherwise>
			</xsl:choose>
			<em>The following information must be provided for any Regulation A
				offering that has terminated or completed prior to the filing of
				this Form 1-K, unless such information has been previously reported
				in a manner permissible under Rule 257. If such information has been
				previously reported, check this box and leave the rest of Part I
				blank.</em>
		</p>

		<table role="presentation" >
			<tr>
				<td class="label">Commission File Number of the offering statement</td>
				<td>
					<p>
						<div class="fakeBox">
							<xsl:value-of select="m1:commissionFileNumber" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Date of qualification of the offering statement</td>
				<td>
					<p>
						<div class="fakeBox2">
							<xsl:value-of select="m1:offeringQualificationDate" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Date of commencement of the offering</td>
				<td>
					<p>
						<div class="fakeBox2">
							<xsl:value-of select="m1:offeringCommenceDate" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Amount of securities qualified to be sold in the
					offering</td>
				<td>
					<p>
						<div class="fakeBox2">
							<xsl:value-of select="m1:qualifiedSecuritiesSold" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Amount of securities sold in the offering</td>
				<td>
					<p>
						<div class="fakeBox2">
							<xsl:value-of select="m1:offeringSecuritiesSold" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Price per security</td>
				<td>
					<p>
						<div class="fakeBox2">
							$
							<xsl:value-of select="m1:pricePerSecurity" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">The portion of aggregate sales attributable to
					securities sold on behalf of the issuer</td>
				<td>
					<p>
						<div class="fakeBox2">
							$
							<xsl:value-of select="m1:aggregrateOfferingPrice" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>

					</p>
				</td>
			</tr>
			<tr>
				<td class="label">The portion of the aggregate sales attributable to
					securities sold on behalf of selling securityholders</td>
				<td>
					<p>
						<div class="fakeBox2">
							$
							<xsl:value-of select="m1:aggregrateOfferingPriceHolders" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>

					</p>
				</td>
			</tr>
		</table>

	</xsl:template>

	<xsl:template name="feesSP">
		<table role="presentation" >
			<tr>
				<td class="label">Underwriters - Name of Service Provider
				</td>
				<td>
					<xsl:for-each select="m1:underwrittenSpName">
						<div class="fakeBox4">
							<xsl:value-of select="." />
						</div>
					</xsl:for-each>
				</td>

				<td class="label">Underwriters - Fees
				</td>
				<td>
					<div class="fakeBox2">
						$
						<xsl:value-of select="m1:underwriterFees" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>

				</td>
			</tr>

			<tr>
				<td class="label">Sales Commissions - Name of Service Provider
				</td>
				<td>
					<xsl:for-each select="m1:salesCommissionsSpName">
						<div class="fakeBox4">
							<xsl:value-of select="." />
						</div>
					</xsl:for-each>
				</td>

				<td class="label">Sales Commissions - Fee
				</td>
				<td>
					<div class="fakeBox2">
						$
						<xsl:value-of select="m1:salesCommissionsFee" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>

			<tr>
				<td class="label">Finders' Fees - Name of Service Provider
				</td>
				<td>
					<xsl:for-each select="m1:findersSpName">
						<div class="fakeBox4">
							<xsl:value-of select="." />
						</div>
					</xsl:for-each>
				</td>

				<td class="label">Finders' Fees - Fees
				</td>
				<td>
					<div class="fakeBox2">
						$
						<xsl:value-of select="m1:findersFees" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>

			<tr>
				<td class="label">Accounting or Audit - Name of Service Provider
				</td>
				<td>
					<xsl:for-each select="m1:auditorSpName">
						<div class="fakeBox4">
							<xsl:value-of select="." />
						</div>
					</xsl:for-each>
				</td>

				<td class="label">Accounting or Audit - Fees
				</td>
				<td>
					<div class="fakeBox2">
						$
						<xsl:value-of select="m1:auditorFees" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>

			<tr>
				<td class="label">Legal - Name of Service Provider
				</td>
				<td>
					<xsl:for-each select="m1:legalSpName">
						<div class="fakeBox4">
							<xsl:value-of select="." />
						</div>
					</xsl:for-each>
				</td>

				<td class="label">Legal - Fees
				</td>
				<td>
					<div class="fakeBox2">
						$
						<xsl:value-of select="m1:legalFees" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>


			<tr>
				<td class="label">Promoters - Name of Service Provider
				</td>
				<td>
					<xsl:for-each select="m1:promoterSpName">
						<div class="fakeBox4">
							<xsl:value-of select="." />
						</div>
					</xsl:for-each>
				</td>

				<td class="label">Promoters - Fees
				</td>
				<td>
					<div class="fakeBox2">
						$
						<xsl:value-of select="m1:promotersFees" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>


			<tr>
				<td class="label">Blue Sky Compliance - Name of Service Provider
				</td>
				<td>
					<xsl:for-each select="m1:blueSkySpName">
						<div class="fakeBox4">
							<xsl:value-of select="." />
						</div>
					</xsl:for-each>
				</td>

				<td class="label">Blue Sky Compliance - Fees
				</td>
				<td>
					<div class="fakeBox2">
						$
						<xsl:value-of select="m1:blueSkyFees" />
						<span>
							<xsl:text>&#160;</xsl:text>
						</span>
					</div>
				</td>
			</tr>
		</table>
		<table role="presentation" >
			<tr>
				<td class="label">CRD Number of any broker or dealer listed</td>
				<td>
					<p>
						<div class="fakeBox">
							<xsl:value-of select="m1:crdNumberBrokerDealer" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Net proceeds to the issuer</td>
				<td>
					<p>
						<div class="fakeBox2">
							$
							<xsl:value-of select="m1:issuerNetProceeds" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
			<tr>
				<td class="label">Clarification of responses (if necessary)</td>
				<td>
					<p>
						<div class="fakeBox3">
							<xsl:value-of select="m1:clarificationResponses" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>