<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/onezfiler"
    xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
    xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

    <!-- Item 1 templates -->
    <xsl:template name="Item1">
        <xsl:call-template name="IssuerContactInfo" />
    </xsl:template>

    <xsl:template name="IssuerContactInfo">
        <table role="presentation" >
            <tr>
                <td class="label">Exact name of issuer as specified in the issuer's
                    charter
                </td>
                <td>
                    <p>
                        <div class="fakeBox">
                            <xsl:value-of select="string(m1:item1/m1:issuerName)" />
                            <span>
                                <xsl:text>&#160;</xsl:text>
                            </span>
                        </div>
                    </p>
                </td>
            </tr>
            <tr>
                <td class="label">Address of Principal Executive Offices</td>
            </tr>
            <tr>
                <td class="label">Address 1 </td>
                <td>
                    <p>
                        <div class="fakeBox">
                            <xsl:value-of select="string(m1:item1/m1:street1)" />
                            <span>
                                <xsl:text>&#160;</xsl:text>
                            </span>
                        </div>
                    </p>
                </td>
            </tr>
            <tr>
                <td class="label">Address 2 </td>
                <td>
                    <p>
                        <div class="fakeBox">
                            <xsl:value-of select="string(m1:item1/m1:street2)" />
                            <span>
                                <xsl:text>&#160;</xsl:text>
                            </span>
                        </div>
                    </p>
                </td>
            </tr>
            <tr>
                <td class="label">City </td>
                <td>
                    <p>
                        <div class="fakeBox">
                            <xsl:value-of select="string(m1:item1/m1:city)" />
                            <span>
                                <xsl:text>&#160;</xsl:text>
                            </span>
                        </div>
                    </p>
                </td>
            </tr>
            <tr>
                <td class="label">State/Country   </td>
                <td>
                    <p>
                        <div class="fakeBox">
                            <xsl:call-template name="stateDescription">
                                <xsl:with-param name="stateCode"
                                    select="string(./m1:item1/m1:stateOrCountry)" />
                            </xsl:call-template>
                            <span>
                                <xsl:text>&#160;</xsl:text>
                            </span>
                        </div>
                    </p>
                </td>
            </tr>
            <tr>
                <td class="label">Mailing Zip/ Postal Code  </td>
                <td>
                    <p>
                        <div align="left">
                            <div class="fakeBox2">
                                <xsl:value-of select="string(m1:item1/m1:zipCode)" />
                                <span>
                                    <xsl:text>&#160;</xsl:text>
                                </span>
                            </div>
                        </div>
                    </p>
                </td>
            </tr>
            <tr>
                <td class="label">Phone</td>
                <td>
                    <p>
                        <div align="left">
                            <div class="fakeBox2">
                                <xsl:value-of select="string(m1:item1/m1:phone)" />
                                <span>
                                    <xsl:text>&#160;</xsl:text>
                                </span>
                            </div>
                        </div>
                    </p>
                </td>
            </tr>
            <xsl:for-each select="m1:item1/m1:commissionFileNumber">
                <tr>
                    <td class="label">Commission File Number(s) </td>
                    <td>
                        <p>
                            <div align="left">
                                <div class="fakeBox2">
                                    <xsl:value-of select="." />
                                    <span>
                                        <xsl:text>&#160;</xsl:text>
                                    </span>
                                </div>
                            </div>
                        </p>
                    </td>
                </tr>
            </xsl:for-each>
        </table>
    </xsl:template>
</xsl:stylesheet>