<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/onezfiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 3 templates -->
	<xsl:template name="Item3">
		<xsl:for-each select="m1:certificationSuspension">
			<h3>
				<em>Certification</em>
			</h3>
			<xsl:call-template name="Certification" />
		</xsl:for-each>
	</xsl:template>


	<xsl:template name="Certification">
		<table role="presentation" >
			<xsl:for-each select="m1:securitiesClassTitle">
				<tr>
					<td class="label">Title of each class of securities covered by this Form </td>
					<td>
						<p>
							<div class="fakeBox3">
								<xsl:value-of select="." />
							</div>
						</p>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:for-each select="m1:certificationFileNumber">
				<tr>
					<td class="label">Commission File Number(s) </td>
					<td>
						<p>
							<div align="left">
								<div class="fakeBox2">
									<xsl:value-of select="." />
									<span>
										<xsl:text>&#160;</xsl:text>
									</span>
								</div>
							</div>
						</p>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:for-each select="m1:approxRecordHolders">
				<tr>
					<td class="label">Approximate number of holders of record as of the
						certification date</td>
					<td>
						<p>
							<div class="fakeBox">
								<xsl:value-of select="." />
								<span>
									<xsl:text>&#160;</xsl:text>
								</span>
							</div>
						</p>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>