<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m1="http://www.sec.gov/edgar/rega/onezfiler"
	xmlns:ns1="http://www.sec.gov/edgar/common" xmlns:n1="http://www.sec.gov/edgar/common_drp"
	xmlns:ns2="http://www.sec.gov/edgar/statecodes" xmlns:ns3="http://www.sec.gov/edgar/regacommon">

	<!-- Item 4 templates -->
	<xsl:template name="Item4">
		<xsl:for-each select="m1:signatureTab">
			<h3>
				<em>Signature</em>
			</h3>
			<xsl:call-template name="Signature" />
		</xsl:for-each>
	</xsl:template>


	<xsl:template name="Signature">
		<h4>Pursuant to the requirements of Regulation A,</h4>

		<table role="presentation" >
			<tr>
				<td class="label">Cik</td>
				<td>
					<p>
						<div class="fakeBox">
							<xsl:value-of select="m1:cik" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>
		</table>

		<table role="presentation" >
			<tr>

				<td class="label">(Name of issuer as specified in charter)</td>
				<td>
					<p>
						<div class="fakeBox3">
							<xsl:value-of select="m1:regulationIssuerName1" />
						</div>
					</p>
				</td>
			</tr>
		</table>


		<h4>certifies that it meets all of the conditions for termination
			of
			Regulation A reporting specified in Rule 257(d) and that there
			are
			no
			classes of securities other than those that are the subject
			to
			this
			Form 1-Z regarding which the issuer has Regulation A
			reporting
			obligations.</h4>

		<table role="presentation" >
			<tr>

				<td class="label">(Name of issuer as specified in charter)</td>
				<td>
					<p>
						<div class="fakeBox3">
							<xsl:value-of select="m1:regulationIssuerName2" />
						</div>
					</p>
				</td>
			</tr>
		</table>


		<table role="presentation" >
			<h4>Has caused this certification to be signed on its behalf by the
				undersigned duly authorized person.</h4>

			<tr>

				<td class="label">By</td>
				<td>
					<p>
						<div class="fakeBox3">
							<xsl:value-of select="m1:signatureBy" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>


			<tr>
				<td class="label">Date</td>
				<td>
					<p>
						<div class="fakeBox2">
							<xsl:value-of select="m1:date" />
							<span>
								<xsl:text>&#160;</xsl:text>
							</span>
						</div>
					</p>
				</td>
			</tr>

			<tr>
				<td class="label">Title</td>
				<td>
					<p>
						<div class="fakeBox3">
							<xsl:value-of select="m1:title" />
						</div>
					</p>
				</td>
			</tr>

		</table>
		<table role="presentation" >
			<h4>Instructions: This Part II of Form 1-Z is required by Rule 257(d)
				of Regulation A. An officer of the issuer or any other duly
				authorized person may sign, and must do so by typed signature. The
				name and title of the person signing the form must be typed or
				printed under the signature. The signatory to the filing must also
				manually sign a signature page or other document authenticating,
				acknowledging or otherwise adopting his or her signature that
				appears in the filing. Such document must be executed before or at
				the time the filing is made and must be retained by the issuer for a
				period of five years. Upon request, the issuer must furnish to the
				Commission or its staff a copy of any or all documents retained
				pursuant to this instruction.</h4>
		</table>
	</xsl:template>
</xsl:stylesheet>