<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:p="http://www.sec.gov/edgar/ownership" 
	xmlns:p1="http://www.sec.gov/edgar/common">
	
	<xsl:template name="securitiesInfo">
		<table role="presentation" class="filingInformation" id="submissionInformation">
			<tr>
				<td class="label">Title of the Class of Securities To Be Sold</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:securitiesClassTitle" />
					</div>
				</td>
			</tr>
			<xsl:for-each select="p:brokerOrMarketmakerDetails">
			<tr>
				<td class="label">Name and Address of the Broker</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:name" />
						<br></br>
						<xsl:value-of select="p:address/p1:street1" />
						<br></br>
						<xsl:if test="p:address/p1:street2 != '' ">
							<xsl:value-of select="p:address/p1:street2" />
						<br></br>
						</xsl:if>
						<xsl:value-of select="p:address/p1:city" />
						<br></br>
						<xsl:value-of select="p:address/p1:stateOrCountry" />
						<br></br>
						<xsl:value-of select="p:address/p1:zipCode" />
					</div>				
				</td>
			</tr>
			</xsl:for-each>
			<tr>
				<td class="label">Number of Shares or Other Units To Be Sold</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:noOfUnitsSold" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Aggregate Market Value</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:aggregateMarketValue" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Number of Shares or Other Units Outstanding</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:noOfUnitsOutstanding" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Approximate Date of Sale</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:approxSaleDate" />
					</div>
				</td>
			</tr>
			<xsl:for-each select="p:securitiesExchangeName">
			<tr>
				<td class="label">Name the Securities Exchange</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="." />
					</div>
				</td>
			</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>
