<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#8211;">
]>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:p="http://www.sec.gov/edgar/ownership" 
	xmlns:p1="http://www.sec.gov/edgar/common">
	
	<xsl:template name="securitiesToBeSold">
		<table role="presentation" class="filingInformation" id="submissionInformation">
			<tr>
				<td class="label">Title of the Class</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:securitiesClassTitle" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Date you Acquired</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:acquiredDate" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Nature of Acquisition Transaction</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:natureOfAcquisitionTransaction" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Name of Person from Whom Acquired</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:nameOfPersonfromWhomAcquired" />
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="2">
				<table role="presentation" class="filingInformation" id="submissionInformation">
					<tr>
					<td class="label" width="25%">Is this a Gift?</td>
					<td width="25%">
					<xsl:choose>
						<xsl:when test="p:isGiftTransaction = 'Y' or p:donarAcquiredDate!=''">
							<img src="Images/box-checked.jpg" alt="Checkbox checked" />
						</xsl:when>
						<xsl:otherwise>
							<img src="Images/box-unchecked.jpg" alt="Checkbox not checked" />
						</xsl:otherwise>
					</xsl:choose>
					</td>
					<td class="label" width="25%">Date Donor Acquired</td>
						<td width="25%">
						<div class="fakeBox">
						<xsl:if test="p:donarAcquiredDate!=''" >
							<xsl:value-of select="p:donarAcquiredDate" />
						</xsl:if>
					</div>
					</td>
					</tr>
				</table>
				</td>
			</tr>
			<tr>
				<td class="label">Amount of Securities Acquired</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:amountOfSecuritiesAcquired" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Date of Payment</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:paymentDate" />
					</div>
				</td>
			</tr>
			<tr>
				<td class="label">Nature of Payment</td>
				<td>
					<div class="fakeBox">
						<xsl:value-of select="p:natureOfPayment" />
					</div>
				</td>
			</tr>
		</table>
		<div class="information" style="text-align:justify">
			If the securities were purchased and full payment therefor was not made in cash at the time of purchase, explain in the table or in a note 
			thereto the nature of the consideration given. If the consideration consisted of any note or other obligation, or if payment was made
			in installments describe the arrangement and state when the note or other obligation was discharged in full or the last installment paid.
		</div>
		<br/>
	</xsl:template>
</xsl:stylesheet>
