<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:decimal-format name = "x" decimal-separator="." grouping-separator=","/> 

<xsl:template match="footnoteId">
<a href="#{@id}"><sup>(<xsl:value-of select="substring-after(@id,'F')"/>)</sup></a>
</xsl:template>

<xsl:template match="value">
<xsl:choose>
  <xsl:when test="current()!=''">
    <xsl:value-of select="current()"/>
  </xsl:when>
  <xsl:otherwise>
    &#160;
  </xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="transactionCoding">
<xsl:apply-templates select="footnoteId" />
</xsl:template>

<xsl:template match="transactionTimeliness">
<xsl:apply-templates select="footnoteId" />
</xsl:template>

<xsl:template match="/">
  <html>
  <head>
  <title> Ownership Submission </title>
  <style>
  td { border: solid black;
         border-top-width: 0;
	 border-right-width: 1;
	 border-bottom-width: 1;
	 border-left-width: 0;
     }
  </style>
  </head>
  <body BGCOLOR="DCDCDC">

    <table cellpadding="0" cellspacing="0" border="0" width="100%">
      <tr>
        <td width="15%" style="border:none" valign="top"> 
        <div style="width: 150; border: solid black; border-top-width: 1; border-left-width: 1; border-right-width: 1; border-bottom-width: 1"><font face="Arial" size="+3"><b><center>FORM <xsl:value-of select="ownershipDocument/documentType"/></center></b></font></div>
	<table cellpadding="0" cellspacing="0" border="0">
	  <tr>
	    <td valign="top" style="border:none" width="30">
	    <xsl:choose>
	      <xsl:when test="ownershipDocument/notSubjectToSection16&gt;0">
	      <input type="checkbox" checked='true' onclick='return false' disabled='true'/>
	      </xsl:when>
	      <xsl:otherwise>
	      <input type="checkbox" onclick='return false' disabled='true'/>
	      </xsl:otherwise>
	    </xsl:choose>
	    </td>
	    <td valign="top" style="border:none">
	    <font size="2">Check this box if no longer subject to Section 16, Form 4 or Form 5 obligations may continue.  <i>See</i> Instruction 1(b).</font>
	    </td>
	  </tr>
	</table>
	</td>

	<td width="65%" align="center" style="border:none">
	<b>
	<font size="3">
	UNITED STATES SECURITIES AND EXCHANGE COMMISSION<br/>
	Washington, D.C. 20549<p/>
	</font>
	</b>
	<font size="3">
	<b>STATEMENT OF CHANGES IN BENEFICIAL OWNERSHIP OF SECURITIES</b><p/>
	Filed pursuant to Section 16(a) of the Securities Exchange Act of 1934 or Section 30(h) of the Investment Company Act of 1940
	</font>
	</td>

	<td width="20%" valign="top" style="border:none">
	<table cellpadding="2" cellspacing="0" border="0">
	  <tr>
	    <td align="center" style="border: solid black; border-top-width: 1; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	    <font face="Arial" size="2">OMB APPROVAL</font>
	    </td>
	  </tr>
	  <tr>
	    <td style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	    <font face="Arial" size="2">
	    <table cellpadding="0" cellspacing="0" border="0" width="100%"><td style="border:none"><font face="Arial" size="2">OMB Number:</font></td><td align="right" style="border:none"><font face="Arial" size="2">3235-0287</font></td></table>
	    <table cellpadding="0" cellspacing="0" border="0" width="100%"><td style="border:none"><font face="Arial" size="2">Expires:</font></td><td align="right" style="border:none"><font face="Arial" size="2">January 31, 2005</font></td></table>
	    <table cellpadding="0" cellspacing="0" border="0" width="100%"><td style="border:none"><font face="Arial" size="2">Estimated average burden hours per response...</font></td><td align="right" valign="bottom" style="border:none"><font face="Arial" size="2">0.5</font></td></table>
	    </font>
	    </td>
	  </tr>
	</table>
	</td>
      </tr>
    </table>

    <p/>

    <table cellspacing="0" cellpadding="0" border="0" width="100%">
      <tr>
        <td style="border-top-width: 0; border-left-width: 0; border-right-width: 0; border-bottom-width: 0">
	  <table cellpadding="3" cellspacing="0" border="0" width="100%">
	    <tr>
	      <td width="33%" valign="top" style="border: solid black; border-width: 1">
	      <table cellpadding="0" cellspacing="0" border="0" width="100%">
	        <tr>
		  <td valign="top" width="100%" style="border:none">
		  <font size="2">1. Name and Address of Reporting Person <a href="#*"><sup>*</sup></a></font>
		  </td>
		</tr>
		<tr>
		  <td valign="top" width="33%" style="border:none">
	          <xsl:value-of select="ownershipDocument/reportingOwner/reportingOwnerId/rptOwnerName" />
		  </td>
		</tr>
	      </table>
	      </td>

	      <td valign="top" width="33%" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">&#160;
	      <font size="2">2. Issuer Name and Ticker or Trading Symbol</font><br></br>
	      <xsl:value-of select="ownershipDocument/issuer/issuerName"/> [<xsl:value-of select="ownershipDocument/issuer/issuerTradingSymbol" />]
	      </td>

	      <td rowspan="2" valign="top" width="33%" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	      <font size="2">5. Relationship of Reporting Person(s) to Issuer<br></br><center>(Check all applicable)</center></font>
	      <table cellspacing="0" cellpadding="0" border="0" width="100%" align="center">
	        <tr>
		  <td valign="top" style="border:none" width="50%">
		  <xsl:for-each select="ownershipDocument/reportingOwner">
		    <xsl:choose>
		      <xsl:when test="position()=1">
		        <xsl:choose>
  		          <xsl:when test="reportingOwnerRelationship/isDirector&gt;0">
		            <font size="1">__X__ Director</font>
		          </xsl:when>
		          <xsl:otherwise>
		            <font size="1">_____ Director</font>
		          </xsl:otherwise>
			</xsl:choose>
                      </xsl:when>
		    </xsl:choose>
		  </xsl:for-each>
		  </td>
		  <td  valign="top" style="border:none" width="50%">
		  <xsl:for-each select="ownershipDocument/reportingOwner">
		    <xsl:choose>
		      <xsl:when test="position()=1">
  		        <xsl:choose>
		          <xsl:when test="ownershipDocument/reportingOwner/reportingOwnerRelationship/isTenPercentOwner&gt;0">
		            <font size="1">__X__ 10% Owner</font>
		          </xsl:when>
		          <xsl:otherwise>
		            <font size="1">_____ 10% Owner</font>
		          </xsl:otherwise>
		        </xsl:choose>
		      </xsl:when>
		    </xsl:choose>
                  </xsl:for-each>
		  </td>		  
		</tr>
		<tr>
		  <td  valign="top" style="border:none" width="50%">
		  <xsl:for-each select="ownershipDocument/reportingOwner">
		    <xsl:choose>
		      <xsl:when test="position()=1">
		        <xsl:choose>
		          <xsl:when test="ownershipDocument/reportingOwner/reportingOwnerRelationship/isOfficer&gt;0">
		            <font size="1">__X__ Officer (give title below)</font>
		          </xsl:when>
		          <xsl:otherwise>
		            <font size="1">_____ Officer (give title below)</font>
		          </xsl:otherwise>
		        </xsl:choose>
		      </xsl:when>
		    </xsl:choose>
		  </xsl:for-each>
		  </td>
		  <td  valign="top" style="border:none" width="50%">
		  <xsl:for-each select="ownershipDocument/reportingOwner">
		    <xsl:choose>
		      <xsl:when test="position()=1">
		        <xsl:choose>
		          <xsl:when test="ownershipDocument/reportingOwner/reportingOwnerRelationship/isOther&gt;0">
		            <font size="1">__X__ Other (specify below)</font>
		          </xsl:when>
		          <xsl:otherwise>
		            <font size="1">_____ Other (specify below)</font>
		          </xsl:otherwise>
		        </xsl:choose>
		      </xsl:when>
		    </xsl:choose>
		  </xsl:for-each>
		  </td>		  
		</tr>
		<tr>
		  <td colspan="2" align="center" style="border: solid black; border-top-width: 0; border-left-width: 0; border-right-width: 0; border-bottom-width: 1">
		  <font size="2">
		  <xsl:for-each select="ownershipDocument/reportingOwner">
		    <xsl:choose>
		      <xsl:when test="position()=1 and ( reportingOwnerRelationship/officerTitle!='' or reportingOwnerRelationship/otherText!='' )">
		        <xsl:value-of select="reportingOwnerRelationship/officerTitle" /> / <xsl:value-of select="reportingOwnerRelationship/otherText" />
		      </xsl:when>
		    </xsl:choose>
		  </xsl:for-each>
		  </font>
		  </td>
		</tr>
	      </table>
	      </td>
            </tr>

            <tr>
	      <td valign="top" style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	      <center>
	      <table cellpadding="0" cellspacing="0" border="0" width="100%">
	        <tr>
		  <td style="border: none" width="33%">
		  <center><font size="1">(Last)</font></center>
		  </td>
		  <td style="border:none" width="33%">
		  <center><font size="1">(First)</font></center>
		  </td>
		  <td style="border:none" width="33%">
		  <center><font size="1">(Middle)</font></center>
		  </td>
		</tr>
		<tr>
		  <td colspan="3" style="border:none" height="30">&#160;
                  <xsl:value-of select="ownershipDocument/reportingOwner/reportingOwnerAddress/rptOwnerStreet1" />
		  <xsl:choose>
		    <xsl:when test="ownershipDocument/reportingOwner/reportingOwnerAddress/rptOwnerStreet2!=''">
		      , <xsl:value-of select="ownershipDocument/reportingOwner/reportingOwnerAddress/rptOwnerStreet2" />
		    </xsl:when>
		  </xsl:choose>
		  </td>
		</tr>
              </table>
	      </center>
	      </td>

	      <td valign="top">
	      <font size="2">3. Date of Earliest Transaction (Month/Day/Year)</font><br/>

	      </td>
	    </tr>

	    <tr>
	      <td valign="top" style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	      <table cellpadding="0" cellspacing="0" border="0" width="100%">
	        <tr>
		  <td valign="top" colspan="3" width="100%" style="border:none">
		  <center><font size="1">(Street)</font></center><br></br>
		  </td>
		</tr>
		<tr>
		  <td style="border:none" align="center">&#160;
		  <xsl:value-of select="ownershipDocument/reportingOwner/reportingOwnerAddress/rptOwnerCity" />
		  </td>
		  <td style="border:none" align="center">&#160;
		  <xsl:value-of select="ownershipDocument/reportingOwner/reportingOwnerAddress/rptOwnerState" />
		  </td>
		  <td style="border:none" align="center">&#160;
		  <xsl:value-of select="ownershipDocument/reportingOwner/reportingOwnerAddress/rptOwnerZipCode" />
		  </td>
		</tr>
	      </table>
	      </td>

	      <td valign="top">
	      <font size="2">4. If Amendment, Date Original Filed</font> <font size="1">(Month/Day/Year)</font><br></br>
	      <xsl:value-of select="ownershipDocument/dateOfOriginalSubmission" />
	      </td>
              
	      <td valign="top">
              <font size="2">6. Individual or Join/Group Filing</font> <font size="1">(Check Applicable Line)</font><br></br>
	      <font size="1">
	      <xsl:choose>
	        <xsl:when test="count(ownershipDocument/reportingOwner)&gt;1">
                  ___ Form filed by One Reporting Person<br/>
		  _X_ Form filed by More than One Reporting Person
		</xsl:when>
	        <xsl:otherwise>
		  _X_ Form filed by One Reporting Person<br/>
		  ___ Form filed by More than One Reporting Person
		</xsl:otherwise>
              </xsl:choose>
	      </font>
              </td>
	    </tr>

	    <tr>
	      <td valign="top" style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	      <table cellpadding="0" cellspacing="0" border="0" width="100%">
	        <tr>
		  <td style="border:none" width="33%">
		  <center><font size="1">(City)</font></center>
		  </td>
		  <td style="border:none" width="33%">
		  <center><font size="1">(State)</font></center>
		  </td>
		  <td style="border:none" width="33%">
		  <center><font size="1">(Zip)</font></center>
		  </td>
		</tr>
	      </table>
	      </td>

	      <td colspan="3" height="30">
	      <center><b><font size="2">Table I - Non-Derivative Securities Acquired, Disposed of, or Beneficially Owned</font></b></center>
	      </td>
	    </tr>
	  </table>
	</td>
      </tr>

      <tr>
        <td style="border-top-width: 0; border-left-width: 0; border-right-width: 0; border-bottom-width: 0">
	  <table cellpadding="3" cellspacing="0" border="0" width="100%">
	    <tr>
	      <td width="33%" rowspan="2" valign="top" style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	      <font size="2">1.Title of Security</font>
	      </td>
	      <td width="8%" valign="top" rowspan="2">
	      <font size="2">2. Transaction Date (Month/Day/Year)</font>
	      </td>
	      <td width="8%" valign="top" rowspan="2">
	      <font size="2">2A. Deemed Execution Date, if any (Month/Day/Year)</font>
	      </td>
	      <td width="10%" valign="top" colspan="2">
	      <font size="2">3. Transaction Code</font>
	      </td>
              <td width="14%" valign="top" colspan="3">
	      <font size="2">4. Securities Acquired (A) or Disposed of (D)</font>
	      </td>
	      <td width="27%" valign="top" rowspan="2">
	      <font size="2">5. Amount of Securities Beneficially Owned Following Reported Transaction(s)</font>
	      </td>
	      <td width="27%" valign="top" rowspan="2">
	      <font size="2">6. Ownership Form: Direct (D) or Indirect (I)</font>
	      </td>
	      <td width="27%" valign="top" rowspan="2">
	      <font size="2">7. Nature of Indirect Beneficial Ownership</font>
	      </td>
	    </tr>

	    <tr>
	      <td valign="bottom" align="center">
	      <font size="2">Code</font>
	      </td>
	      <td valign="bottom" align="center">
	      <font size="2">V</font>
	      </td>
	      <td valign="bottom" align="center">
	      <font size="2">Amount</font>
	      </td>
	      <td valign="bottom" align="center">
	      <font size="2">(A) or (D)</font>
	      </td>
	      <td valign="bottom" align="center">
	      <font size="2">Price</font>
	      </td>
	    </tr>

	    <xsl:for-each select="ownershipDocument/nonDerivativeSecurity">
	    <tr>
	      <td style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width:1">&#160;
	      <xsl:apply-templates select="securityTitle"/>
	      </td>

	      <td>&#160;
	      <xsl:apply-templates select="transactionDate"/>
	      </td>

	      <td>&#160;
	      <xsl:apply-templates select="deemedExecutionDate"/>
	      </td>

	      <td>&#160;
	      <xsl:value-of select="transactionCoding/transactionCode"/>
	      <xsl:choose>
	        <xsl:when test="transactionCoding/equitySwapInvolved = '1'">
		/K
		</xsl:when>
	      </xsl:choose>
	      <xsl:apply-templates select="transactionCoding"/>
	      </td>

	      <td>&#160;
	      <xsl:choose>
	        <xsl:when test="transactionCoding/transactionFormType='5'">
		V
		</xsl:when>
              </xsl:choose>
	      <xsl:apply-templates select="transactionTimeliness"/>
	      </td>

	      <td>&#160;
	      <xsl:apply-templates select="transactionAmounts/transactionShares"/>
	      </td>

	      <td>&#160;
	      <xsl:apply-templates select="transactionAmounts/transactionAcquiredDisposedCode"/>
	      </td>

	      <td>&#160;
	      $<xsl:apply-templates select="transactionAmounts/transactionValue"/>
	      </td>

	      <td>&#160;
	      <xsl:choose>
	        <xsl:when test="postTransactionAmounts/sharesOwnedFollowingTransaction/value!=''">
                  <xsl:apply-templates select="postTransactionAmounts/sharesOwnedFollowingTransaction"/>
		</xsl:when>
		<xsl:otherwise>
		  $<xsl:apply-templates select="postTransactionAmounts/valueOwnedFollowingTransaction"/>
		</xsl:otherwise>
              </xsl:choose>
	      </td>
	      
	      <td>&#160;
	      <xsl:apply-templates select="ownershipNature/directOrIndirectOwnership"/>
	      </td>

	      <td>&#160;
	      <xsl:apply-templates select="ownershipNature/natureOfOwnership"/>
	      </td>
	    </tr>
	    </xsl:for-each>
	  </table>
	</td>
      </tr>
    </table>

    <p></p>

    <font size="2"><center><b>Table II - Derivative Securities Beneficially Owned (<i>e.g.</i>, puts, calls, warrants, options, convertible securities)<br/>
    (<i>e.g.</i>, puts, calls, warrants, options, convertible securities)</b></center></font>

    <table cellpadding="3" cellspacing="0" border="0">
      <tr>
        <td width="15%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	<font size="2">1. Title of Derivate Security</font>
	</td>

	<td width="8%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">2. Conversion or Exercise Price of Derivative Security</font>
	</td>

	<td width="8%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">3. Transaction Date (Month/Day/Year)</font>
	</td>

	<td width="8%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">3A. Deemed Execution Date, if any (Month/Day/Year)</font>
	</td>

	<td width="10%" valign="top" colspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">4. Transaction Code</font>
	</td>

	<td width="15%" valign="top" colspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">5. Number of Derivative Securities Acquired (A) or Disposed of (D)</font>
	</td>

	<td width="10%" valign="top" colspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">6. Date Exercisable and Expiration Date</font>
	</td>

	<td width="20%" valign="top" colspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">7. Title and Amount of Securities Underlying Derivative Security</font>
	</td>
	
	<td width="8%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">8. Price of Derivative Security</font>
	</td>

	<td width="8%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">9. Number of derivative Securities Beneficially Owned Following Reported Transaction(s)</font>
	</td>

        <td width="8%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">10. Ownership Form of Derivative Security: Direct (D) or Indirect (I)</font>
	</td>

	<td width="8%" valign="top" rowspan="2" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<font size="2">11. Nature of Indirect Beneficial Ownership</font>
	</td>
      </tr>
      <tr>
        <td valign="bottom" align="center">
	<font size="2">Code</font>
	</td>
	<td valign="bottom" align="center">
	<font size="2">V</font>
	</td>
	<td valign="bottom" align="center">
	<font size="2">(A)</font>
	</td>
	<td valign="bottom" align="center">
	<font size="2">(D)</font>
	</td>
        <td>&#160;
	<font size="2">Date Exercisable</font>
	</td>
	<td>&#160;
	<font size="2">Expriation Date</font>
	</td>
	<td>&#160;
	<font size="2">Title</font>
	</td>
	<td>&#160;
	<font size="2">Amount or Number of Shares</font>
	</td>
     </tr>

     <xsl:for-each select="ownershipDocument/derivativeSecurity">
     <tr>
       <td valign="top" style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
       <xsl:apply-templates select="securityTitle"/>
       </td>

       <td>&#160;
       <xsl:apply-templates select="conversionOrExercisePrice"/>
       </td>

       <td>&#160;
       <xsl:apply-templates select="transactionDate"/>
       </td>

       <td>&#160;
       <xsl:apply-templates select="deemedExecutionDate"/>
       </td>

       <td>&#160;
         <xsl:value-of select="transactionCoding/transactionCode"/>
         <xsl:choose>
           <xsl:when test="transactionCoding/equitySwapInvolved = '1'">
	   /K
	   </xsl:when>
         </xsl:choose>
         <xsl:apply-templates select="transactionCoding"/>
        </td>

      <td>&#160;
      <xsl:choose>
	<xsl:when test="transactionCoding/transactionFormType='5'">
	V
	</xsl:when>
      </xsl:choose>
      <xsl:apply-templates select="transactionTimeliness"/>
      </td>

       <td>&#160;
       <xsl:for-each select="transactionAmounts/transactionAcquiredDisposedCode[value='A']">
         <xsl:apply-templates select="../transactionShares"/>
       </xsl:for-each>
       <br/>
       </td>

       <td>&#160;
       <xsl:for-each select="transactionAmounts/transactionAcquiredDisposedCode[value='D']">
         <xsl:apply-templates select="../transactionShares"/>
       </xsl:for-each>
       <br/>
       </td>

       <td>&#160;
       <xsl:apply-templates select="exerciseDate"/>
       </td>

       <td>&#160;
       <xsl:apply-templates select="expirationDate"/>
       </td>

       <td>&#160;
       <xsl:apply-templates select="underlyingSecurity/underlyingSecurityTitle"/>
       </td>

       <td>&#160;
       <center>
 	<xsl:choose>
 	  <xsl:when test="underlyingSecurity/underlyingSecurityShares/value&gt;0">
 	    <xsl:apply-templates select="underlyingSecurity/underlyingSecurityShares"/>
 	  </xsl:when>
 	  <xsl:otherwise>
 	    $<xsl:apply-templates select="underlyingSecurity/underlyingSecurityValue"/>
 	  </xsl:otherwise>
	</xsl:choose>
       </center>
       </td>

       <td>&#160;
       $<xsl:apply-templates select="transactionAmounts/transactionValue"/>
       </td>

       <td>&#160;
       <xsl:choose>
         <xsl:when test="postTransactionAmounts/sharesOwnedFollowingTransaction/value!=''">
	   <xsl:apply-templates select="postTransactionAmounts/sharesOwnedFollowingTransaction/value"/>
	 </xsl:when>
	 <xsl:otherwise>
	   $<xsl:apply-templates select="postTransactionAmounts/valueOwnedFollowingTransaction"/>
	 </xsl:otherwise>
       </xsl:choose>
       </td>

       <td>&#160;
       <center><xsl:apply-templates select="ownershipNature/directOrIndirectOwnership"/></center>
       </td>

       <td>&#160;
       <xsl:apply-templates select="ownershipNature/natureOfOwnership"/>
       </td>
     </tr>
     </xsl:for-each>
    </table>

    <p/>

    <h2>Reporting Owners</h2>
    <table cellpadding="3" cellspacing="0" border="0">
      <tr>
        <td rowspan="2" align="center" style="border: solid black; border-top-width: 1; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	<b><font size="2">Reporting Owner Name / Address</font></b>
	</td>
	<td colspan="4" align="center" style="border: solid black; border-top-width: 1; border-left-width: 0; border-right-width: 1; border-bottom-width: 1">
	<b><font size="2">Relationships</font></b>
	</td>
      </tr>

      <tr>
        <td>&#160;<font size="2">Director</font></td>
	<td>&#160;<font size="2">10% Owner</font></td>
	<td>&#160;<font size="2">Officer</font></td>
	<td>&#160;<font size="2">Other</font></td>
      </tr>

      <xsl:for-each select="ownershipDocument/reportingOwner">
      <tr>
        <td valign="center" style="border: solid black; border-top-width: 0; border-left-width: 1; border-right-width: 1; border-bottom-width: 1">
	<xsl:value-of select="reportingOwnerId/rptOwnerName"/><br/>
	<xsl:value-of select="reportingOwnerAddress/rptOwnerStreet1"/><br/>
	<xsl:value-of select="reportingOwnerAddress/rptOwnerStreet2"/><br/>
	<xsl:value-of select="reportingOwnerAddress/rptOwnerCity"/>, <xsl:value-of select="reportingOwnerAddress/rptOwnerState"/> <xsl:value-of select="reportingOwnerAddress/rptOwnerZipCode"/>
	</td>
	<td valign="center" align="center">
	<xsl:choose>
          <xsl:when test="reportingOwnerRelationship/isDirector&gt;0">
            X
          </xsl:when>
	  <xsl:otherwise>
	    <br/>
	  </xsl:otherwise>
        </xsl:choose>
	</td>
	<td valign="center" align="center">
	<xsl:choose>
	  <xsl:when test="reportingOwnerRelationship/isTenPercentOwner&gt;0">
            X
	  </xsl:when>
	  <xsl:otherwise>
	    <br/>
	  </xsl:otherwise>
	</xsl:choose>
	</td>
	<td valign="center" >
	<xsl:choose>
	  <xsl:when test="reportingOwnerRelationship/officerTitle!=''">
            <xsl:value-of select="reportingOwnerRelationship/officerTitle"/>
	  </xsl:when>
	  <xsl:otherwise>
	    <br/>
	  </xsl:otherwise>
	</xsl:choose>
	</td>
	<td>&#160;
	<xsl:choose>
	  <xsl:when test="reportingOwnerRelationship/otherText!=''">
            <xsl:value-of select="reportingOwnerRelationship/otherText" />
	  </xsl:when>
	</xsl:choose>
	</td>
      </tr>
      </xsl:for-each>
    </table>

    <h2>Signatures</h2>
    <dd/><table cellpadding="3" cellspacing="0" border="0">
      <xsl:for-each select="ownershipDocument/ownerSignature">
      <tr>
        <td style="border: solid black; border-top-width: 0; border-right-width: 0; border-left-width: 0; border-bottom-width: 1">&#160;<xsl:value-of select="signatureName"/></td>
	<td rowspan="2" width="50"></td>
        <td style="border: solid black; border-top-width: 0; border-right-width: 0; border-left-width: 0; border-bottom-width: 1">&#160;<xsl:value-of select="signatureDate"/></td>
      </tr>
      <tr>
        <td style="border: none" align="center" valign="top"><font size="1"><sup><a href="#**">**</a></sup>Signature of Reporting Person</font></td>
        <td style="border: none" align="center" valign="top"><font size="1">Date</font><p/></td>
      </tr>
      </xsl:for-each>
    </table>

    <h2>Explanation of Responses:</h2>
    <dd/><table cellpadding="3" cellspacing="0" border="0">
      <tr>
        <td style="border:none"><font size="2"><b><a name="#*">(*)</a></b></font></td>
        <td style="border:none"><font size="2">If the form is filed by more than one reporting person, <i>see</i> Instruction 5(b)(v).</font></td>
      </tr>
      <tr>
        <td style="border:none"><font size="2"><b><a name="#**">(**)</a></b></font></td>
        <td style="border:none"><font size="2">Intentional misstatements or omissions of facts constitute Federal Criminal Violations.  <i>See</i> 18 U.S.C. 1001 and 15 U.S.C. 78ff(a).</font></td>
      </tr>
      <xsl:for-each select="ownershipDocument/footnotes/footnote">
      <tr>
        <td style="border:none"><font size="2"><b>(<a name="#{@id}"></a><xsl:value-of select="substring-after(@id,'F')"/>)</b></font></td>
        <td style="border:none"><font size="2"><xsl:value-of select="."/></font></td>
      </tr>
      </xsl:for-each>
    </table>

    <p/>

    <dd/><font size="2">Note: File three copies of this Form, one of which must be manually signed.  If space is insufficient, <i>See</i> Instruction 6 for procedure.</font><p/>
    <dd/><font size="2">Potential persons who are to respond to the collection of information contained in this form are not required to respond unless the form displays a currently valid OMB number.</font>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet
