<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:import href="SEC-Common.xsl"/>
   <xsl:import href="FormD-Sections.xsl"/><!--
   XSL Stylesheet for SEC Form D 
   Uses XSL Stylesheets:  FormD-Sections.xsl, SEC-Common.xsl

   Version 1.0 - Dated August 2008
   Created By: SAIC 
   Created for: SEC
   -->
   <xsl:variable name="this" select="/"/>
   <xsl:output method="html" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" media-type="application/xml"/>
   <xsl:template match="/edgarSubmission">
      <html>
         <head>
            <title>SEC FORM <xsl:value-of select="submissionType"/></title>
            <xsl:call-template name="CSS"/>
         </head>
         <body>
            <xsl:choose>
               <xsl:when test="(submissionType='D') or (submissionType='D/A')">
                  <xsl:call-template name="FormDHeader"/>
               </xsl:when>
               <xsl:otherwise>NO HEADER FOUND MATCHING TYPE</xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="Section1and2"/>
            <xsl:call-template name="Section3"/>
            <xsl:call-template name="Section4"/>
            <xsl:call-template name="Section5"/>
            <xsl:choose>
               <xsl:when test="(number(substring(schemaVersion,2))>707)">
                  <xsl:call-template name="Section6_after_X0707"/>
               </xsl:when> 
               <xsl:when test="(number(substring(schemaVersion,2))=707)">
                  <xsl:call-template name="Section6_after_X0706"/>
               </xsl:when> 
               <xsl:otherwise>
                  <xsl:call-template name="Section6"/>
	       </xsl:otherwise>
            </xsl:choose>
<!--            <xsl:call-template name="Section6"/> -->
            <xsl:call-template name="Section7"/>
            <xsl:call-template name="Section8"/>
            <xsl:call-template name="Section9"/>
            <xsl:call-template name="Section10"/>
            <xsl:call-template name="Section11"/>
            <xsl:call-template name="Section12"/>
            <xsl:call-template name="Section13"/>
            <xsl:call-template name="Section14"/>
            <xsl:call-template name="Section15"/>
            <xsl:call-template name="Section16"/>
            <xsl:call-template name="Signature"/>
            <hr/>
         </body>
      </html>
   </xsl:template>
   
   <xsl:template name="FormDHeader">
      <table width="100%" border="0" cellspacing="0" cellpadding="4" summary="Form D Header Information">
         <tr>
            <td colspan="4" style="border: solid;text-align: center;"><p>The Securities and Exchange Commission has not necessarily reviewed the information in this filing and has not determined if it is accurate and complete.<br />The reader should not assume that the information is accurate and complete.</p></td>
         </tr>
         <tr>
            <td width="10%" colspan="2" valign="top" align="left"/>
            <td rowspan="1" width="70%" valign="middle" align="center">
               <xsl:call-template name="TitleBox">
                  <xsl:with-param name="FormTitle">FORM D</xsl:with-param>
                  <xsl:with-param name="FormTitle1">Notice of Exempt Offering of Securities</xsl:with-param>
               </xsl:call-template>
            </td>
            <td rowspan="1" width="20%" valign="top" align="center">
               <xsl:call-template name="OMBBox">
                  <xsl:with-param name="OMBNumber" select="'3235-0076'"/>
                  <xsl:with-param name="OMBHours" select="'4.00'"/>
               </xsl:call-template>
            </td>
         </tr>
      </table>
      <hr/>
   </xsl:template>
				
</xsl:stylesheet>
