<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:clitype="clitype" xmlns:com="http://www.sec.gov/edgar/common" xmlns:dei="http://www.sec.gov/edgar/dei" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:invest="http://www.sec.gov/edgar/invest" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:ix="http://www.xbrl.org/2008/inlineXBRL" xmlns:java="java" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:n1="http://www.sec.gov/edgar/nmfp" xmlns:part1="http://www.sec.gov/edgar/nmfpfund" xmlns:part2="http://www.sec.gov/edgar/nmfpsecurities" xmlns:ratings="http://www.sec.gov/edgar/ratings" xmlns:rr="http://www.sec.gov/edgar/rr" xmlns:sccom="http://www.sec.gov/edgar/sccommon" xmlns:state="http://www.sec.gov/edgar/statecodes" xmlns:us-gaap="http://www.sec.gov/edgar/us-gaap" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:altova="http://www.altova.com" exclude-result-prefixes="clitype com dei fn invest iso4217 ix java link n1 part1 part2 ratings rr sccom state us-gaap xbrldi xbrli xlink xs xsi altova">
   <xsl:import href="SEC-Common.xsl"/>
   <xsl:import href="N-MFP_X01-Sections.xsl"/>
<!--
   XSL Stylesheet for SEC Form N-MFP
   Uses XSL Stylesheets:  N-MFP-Sections_X01.xsl, SEC-Common.xsl

   Version 1.0 - Dated August 2010
   Created By: SAIC
   Created for: SEC
   -->
   <xsl:variable name="this" select="/"/>
   <xsl:output method="html" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" media-type="application/xml"/>
   <xsl:template match="n1:edgarSubmission">
      <html>
         <head>
            <title>SEC FORM <xsl:value-of select="n1:submissionType"/></title>
            <xsl:call-template name="CSS"/>
            <style type="text/css">
              .AlignTop { vertical-align:top; }
              .indent1 { position:relative; left:20px; width:97% }
            </style>
         </head>
         <body>
            <xsl:choose>
               <xsl:when test="(n1:submissionType='N-MFP') or (n1:submissionType='NT N-MFP') or (n1:submissionType='N-MFP/A')">
                  <xsl:call-template name="Header"/>
               </xsl:when>
               <xsl:otherwise>NO HEADER FOUND MATCHING TYPE</xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="Section1"/>
            <xsl:call-template name="Section2"/>
            <xsl:call-template name="Section3"/>
         </body>
      </html>
   </xsl:template>

   <xsl:template name="Header">
      <table width="100%" cellspacing="0" cellpadding="4" summary="Form N-MFP Header Information">
         <tr>
            <td width="10%" colspan="2" valign="top" align="left"/>
            <td rowspan="1" width="70%" valign="middle" align="center">
               <xsl:call-template name="TitleBox">
                  <xsl:with-param name="FormTitle" select="n1:submissionType" />
                  <xsl:with-param name="FormTitle1">MONTHLY SCHEDULE OF PORTFOLIO HOLDINGS</xsl:with-param>
                  <xsl:with-param name="FormTitle2">OF MONEY MARKET FUNDS</xsl:with-param>
               </xsl:call-template>
            </td>
            <td rowspan="1" width="20%" valign="top" align="center">
               <xsl:call-template name="OMBBox">
                  <xsl:with-param name="OMBNumber" select="'3235-0657'"/>
                  <xsl:with-param name="OMBExpireDate" select="'May 31, 2013'"/>
                  <xsl:with-param name="OMBHours" select="'10.9'"/>
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>
</xsl:stylesheet>
