<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet  [
<!ENTITY ndash "&#38;#8211;">
]>
<xsl:stylesheet version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


   <xsl:output method="html" indent="no" encoding="UTF-8"
      doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />

   <xsl:template name="sicDescription">
      <xsl:param name="sicCode" />
      <xsl:choose>
         <xsl:when test="$sicCode='0000'">SEC Internal Use Only</xsl:when>
            <xsl:when test="$sicCode='0100'">AGRICULTURE PRODUCTION-CROPS</xsl:when>
            <xsl:when test="$sicCode='0200'">AGRICULTURE PROD-LIVESTOCK &#38; ANIMAL SPECIALTIES</xsl:when>
            <xsl:when test="$sicCode='0700'">AGRICULTURE SERVICES</xsl:when>
            <xsl:when test="$sicCode='0800'">FORESTRY</xsl:when>
            <xsl:when test="$sicCode='0888'">SEC Internal Use Only</xsl:when>
            <xsl:when test="$sicCode='0900'">FISHING, HUNTING &#38; TRAPPING</xsl:when>
            <xsl:when test="$sicCode='1000'">METAL MINING</xsl:when>
            <xsl:when test="$sicCode='1040'">GOLD &#38; SILVER ORES</xsl:when>
            <xsl:when test="$sicCode='1044'">SILVER ORES</xsl:when>
            <xsl:when test="$sicCode='1090'">MISCELLANEOUS METAL ORES</xsl:when>
            <xsl:when test="$sicCode='1220'">BITUMINOUS COAL &#38; LIGNITE MINING</xsl:when>
            <xsl:when test="$sicCode='1221'">BITUMINOUS COAL &#38; LIGNITE SURFACE MINING</xsl:when>
            <xsl:when test="$sicCode='1311'">CRUDE PETROLEUM &#38; NATURAL GAS</xsl:when>
            <xsl:when test="$sicCode='1381'">DRILLING OIL &#38; GAS WELLS</xsl:when>
            <xsl:when test="$sicCode='1382'">OIL AND GAS FIELD EXPLORATION SERVICES</xsl:when>
            <xsl:when test="$sicCode='1389'">OIL, GAS FIELD SERVICES, NEC</xsl:when>
            <xsl:when test="$sicCode='1400'">MINING, QUARRYING OF NONMETALLIC MINERALS (NO FUELS)</xsl:when>
            <xsl:when test="$sicCode='1520'">GEN BLDG CONTRACTORS - RESIDENTIAL BLDGS</xsl:when>
            <xsl:when test="$sicCode='1531'">OPERATIVE BUILDERS</xsl:when>
            <xsl:when test="$sicCode='1540'">GENERAL BLDG CONTRACTORS - NONRESIDENTIAL BLDGS</xsl:when>
            <xsl:when test="$sicCode='1600'">HEAVY CONSTRUCTION OTHER THAN BLDG CONST - CONTRACTORS</xsl:when>
            <xsl:when test="$sicCode='1623'">WATER, SEWER, PIPELINE, COMM &#38; POWER LINE CONSTRUCTION</xsl:when>
            <xsl:when test="$sicCode='1700'">CONSTRUCTION SPECIAL TRADECONTRACTORS</xsl:when>
            <xsl:when test="$sicCode='1731'">ELECTRICAL WORK</xsl:when>
            <xsl:when test="$sicCode='2000'">FOOD &#38; KINDRED PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2011'">MEAT PACKING PLANTS</xsl:when>
            <xsl:when test="$sicCode='2013'">SAUSAGE, OTHER PREPARED MEAT PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2015'">POULTRY SLAUGHTERING AND PROCESSING</xsl:when>
            <xsl:when test="$sicCode='2020'">DAIRY PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2024'">ICE CREAM &#38; FROZEN DESSERTS</xsl:when>
            <xsl:when test="$sicCode='2030'">CANNED, FROZEN &#38; PRESERVED FRUIT, VEG &#38; FOOD SPECIALTIES</xsl:when>
            <xsl:when test="$sicCode='2033'">CANNED, FRUITS, VEG &#38; PRESERVES, JAMS &#38; JELLIES</xsl:when>
            <xsl:when test="$sicCode='2040'">GRAIN MILL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2050'">BAKERY PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2052'">COOKIES &#38; CRACKERS</xsl:when>
            <xsl:when test="$sicCode='2060'">SUGAR &#38; CONFECTIONERY PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2070'">FATS &#38; OILS</xsl:when>
            <xsl:when test="$sicCode='2080'">BEVERAGES</xsl:when>
            <xsl:when test="$sicCode='2082'">MALT BEVERAGES</xsl:when>
            <xsl:when test="$sicCode='2086'">BOTTLED &#38; CANNED SOFT DRINKS CARBONATED WATERS</xsl:when>
            <xsl:when test="$sicCode='2090'">MISCELLANEOUS  FOOD PREPARATIONS &#38; KINDRED PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2092'">PREPARED FRESH OR FROZEN FISH &#38; SEAFOODS</xsl:when>
            <xsl:when test="$sicCode='2100'">TOBACCO PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2111'">CIGARETTES</xsl:when>
            <xsl:when test="$sicCode='2200'">TEXTILE MILL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2211'">BROADWOVEN FABRIC MILLS, COTTON</xsl:when>
            <xsl:when test="$sicCode='2221'">BROADWOVEN FABRIC MILLS, MAN MADE FIBER &#38; SILK</xsl:when>
            <xsl:when test="$sicCode='2250'">KNITTING MILLS</xsl:when>
            <xsl:when test="$sicCode='2253'">KNIT OUTERWEAR MILLS</xsl:when>
            <xsl:when test="$sicCode='2273'">CARPETS AND RUGS</xsl:when>
            <xsl:when test="$sicCode='2300'">APPAREL &#38; OTHER FINISHD PRODS OF FABRICS &#38; SIMILAR MATL</xsl:when>
            <xsl:when test="$sicCode='2320'">MEN'S &#38; BOYS' FURNISHGS, WORK CLOTHG, &#38; ALLIED GARMENTS</xsl:when>
            <xsl:when test="$sicCode='2330'">WOMEN'S, MISSES', AND JUNIORS OUTERWEAR</xsl:when>
            <xsl:when test="$sicCode='2340'">WOMEN'S, MISSES', CHILDREN'S &#38; INFANTS' UNDERGARMENTS</xsl:when>
            <xsl:when test="$sicCode='2390'">MISCELLANEOUS FABRICATED TEXTILE PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2400'">LUMBER &#38; WOOD PRODUCTS (NO FURNITURE)</xsl:when>
            <xsl:when test="$sicCode='2421'">SAWMILLS, PLANNING MILLS, GENERAL</xsl:when>
            <xsl:when test="$sicCode='2430'">MILLWOOD, VENEER, PLYWOOD, &#38; STRUCTURAL WOOD MEMBERS</xsl:when>
            <xsl:when test="$sicCode='2451'">MOBILE HOMES</xsl:when>
            <xsl:when test="$sicCode='2452'">PREFABRICATED WOOD BLDGS &#38; COMPONENTS</xsl:when>
            <xsl:when test="$sicCode='2510'">HOUSEHOLD FURNITURE</xsl:when>
            <xsl:when test="$sicCode='2511'">WOOD HOUSEHOLD FURNITURE, (NO UPHOLSTERED)</xsl:when>
            <xsl:when test="$sicCode='2520'">OFFICE FURNITURE</xsl:when>
            <xsl:when test="$sicCode='2522'">OFFICE FURNITURE (NO WOOD)</xsl:when>
            <xsl:when test="$sicCode='2531'">PUBLIC BLDG &#38; RELATED FURNITURE</xsl:when>
            <xsl:when test="$sicCode='2540'">PARTITIONS, SHELVG, LOCKERS, &#38; OFFICE &#38; STORE FIXTURES</xsl:when>
            <xsl:when test="$sicCode='2590'">MISCELLANEOUS FURNITURE &#38; FIXTURES</xsl:when>
            <xsl:when test="$sicCode='2600'">PAPERS &#38; ALLIED PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2611'">PULP MILLS</xsl:when>
            <xsl:when test="$sicCode='2621'">PAPER MILLS</xsl:when>
            <xsl:when test="$sicCode='2631'">PAPERBOARD MILLS</xsl:when>
            <xsl:when test="$sicCode='2650'">PAPERBOARD CONTAINERS &#38; BOXES</xsl:when>
            <xsl:when test="$sicCode='2670'">CONVERTED PAPER &#38; PAPERBOARD PRODS (NO CONTANERS/BOXES)</xsl:when>
            <xsl:when test="$sicCode='2673'">PLASTICS, FOIL &#38; COATED PAPER BAGS</xsl:when>
            <xsl:when test="$sicCode='2711'">NEWSPAPERS: PUBLISHING OR PUBLISHING &#38; PRINTING</xsl:when>
            <xsl:when test="$sicCode='2721'">PERIODICALS: PUBLISHING OR PUBLISHING &#38; PRINTING</xsl:when>
            <xsl:when test="$sicCode='2731'">BOOKS: PUBLISHING OR PUBLISHING &#38; PRINTING</xsl:when>
            <xsl:when test="$sicCode='2732'">BOOK PRINTING</xsl:when>
            <xsl:when test="$sicCode='2741'">MISCELLANEOUS PUBLISHING</xsl:when>
            <xsl:when test="$sicCode='2750'">COMMERCIAL PRINTING</xsl:when>
            <xsl:when test="$sicCode='2761'">MANIFOLD BUSINESS FORMS</xsl:when>
            <xsl:when test="$sicCode='2771'">GREETING CARDS</xsl:when>
            <xsl:when test="$sicCode='2780'">BLANKBOOKS, LOOSELEAF BINDERS &#38; BOOKBINDG &#38; RELATD WORK</xsl:when>
            <xsl:when test="$sicCode='2790'">SERVICE INDUSTRIES FOR THE PRINTING TRADE</xsl:when>
            <xsl:when test="$sicCode='2800'">CHEMICALS &#38; ALLIED PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2810'">INDUSTRIAL INORGANIC CHEMICALS</xsl:when>
            <xsl:when test="$sicCode='2820'">PLASTIC MAIL, SYNTH RESIN/RUBBER, CELLULOS (NO GLASS)</xsl:when>
            <xsl:when test="$sicCode='2821'">PLASTICS, MATERIALS, SYNTH RESINS &#38; NONVULCAN ELASTOMERS</xsl:when>
            <xsl:when test="$sicCode='2833'">MEDICINAL CHEMICALS &#38; BOTANICAL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2834'">PHARMACEUTICAL PREPARATIONS</xsl:when>
            <xsl:when test="$sicCode='2835'">IN VITRO &#38; IN VIVO DIGNOSTIC SUBSTANCES</xsl:when>
            <xsl:when test="$sicCode='2836'">BIOLOGICAL PRODUCTS, (NO DISGNOSTIC SUBSTANCES)</xsl:when>
            <xsl:when test="$sicCode='2840'">SOAP, DETERGENT, CLEANG PREPARATIONS, PERFUMES, COSMETICS</xsl:when>
            <xsl:when test="$sicCode='2842'">SPECIALTY CLEANING, POLISHING AND SANITATION PREPARATIONS</xsl:when>
            <xsl:when test="$sicCode='2844'">PERFUMES COSMETICS &#38; OTHER TOILET PREPARATIONS</xsl:when>
            <xsl:when test="$sicCode='2851'">PAINTS, VARNISHES, LACQUERS, ENAMELS &#38; ALLIED PRODS</xsl:when>
            <xsl:when test="$sicCode='2860'">INDUSTRIAL ORGANIC CHEMICALS</xsl:when>
            <xsl:when test="$sicCode='2870'">AGRICULTURE CHEMICALS</xsl:when>
            <xsl:when test="$sicCode='2890'">MISCELLANEOUS CHEMICAL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='2891'">ADHESIVES &#38; SEALANTS</xsl:when>
            <xsl:when test="$sicCode='2911'">PETROLEUM REFINING</xsl:when>
            <xsl:when test="$sicCode='2950'">ASPHALT PAVING &#38; ROOFING MATERIALS</xsl:when>
            <xsl:when test="$sicCode='2990'">MISCELLANEOUS  PRODUCTS OF PETROLEUM &#38; COAL</xsl:when>
            <xsl:when test="$sicCode='3011'">TIRES AND INNER TUBES</xsl:when>
            <xsl:when test="$sicCode='3021'">RUBBER &#38; PLASTICS FOOTWEAR</xsl:when>
            <xsl:when test="$sicCode='3050'">GASKETS, PACKG &#38; SEALG DEVICES &#38; RUBBER &#38; PLASTICS HOSE</xsl:when>
            <xsl:when test="$sicCode='3060'">FABRICATED RUBBER PRODUCTS, NEC</xsl:when>
            <xsl:when test="$sicCode='3080'">MISCELLANEOUS PLASTIC PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3081'">UNSUPPORTED PLASTICS FILM &#38; SHEET</xsl:when>
            <xsl:when test="$sicCode='3086'">PLASTICS FOAM PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3089'">PLASTICS PRODUCTS, NEC</xsl:when>
            <xsl:when test="$sicCode='3100'">LEATHER &#38; LEATHER PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3140'">FOOTWEAR, (NO RUBBER)</xsl:when>
            <xsl:when test="$sicCode='3211'">FLAT GLASS</xsl:when>
            <xsl:when test="$sicCode='3220'">GLASS, GLASSWEAR, PRESSED OR BLOWN</xsl:when>
            <xsl:when test="$sicCode='3221'">GLASS CONTAINERS</xsl:when>
            <xsl:when test="$sicCode='3231'">GLASS PRODUCTS, MADE OF PURCHASED GLASS</xsl:when>
            <xsl:when test="$sicCode='3241'">CEMENT, HYDRAULIC</xsl:when>
            <xsl:when test="$sicCode='3250'">STRUCTURAL CLAY PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3260'">POTTERY &#38; RELATED PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3270'">CONCRETE GYPSUM &#38; PLASTER PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3272'">CONCRETE PRODUCTS, EXCEPT BLOCK &#38; BRICK</xsl:when>
            <xsl:when test="$sicCode='3281'">CUT STONE &#38; STONE PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3290'">ABRASIVE &#38; MISC NONMETALLIC MINERAL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3310'">STEEL WORKS, BLAST FURNACES &#38; ROLLING &#38; FINISHING MILLS</xsl:when>
            <xsl:when test="$sicCode='3312'">STEEL WORKS, BLAST FURNACES &#38; ROLLING MILLS (COKE OVENS)</xsl:when>
            <xsl:when test="$sicCode='3317'">STEEL PIPE &#38; TUBES</xsl:when>
            <xsl:when test="$sicCode='3320'">IRON &#38; STEEL FOUNDRIES</xsl:when>
            <xsl:when test="$sicCode='3330'">PRIMARY SMELTING &#38; REFINING OF NONFERROUS METALS</xsl:when>
            <xsl:when test="$sicCode='3334'">PRIMARY PRODUCTION OF ALUMINUM</xsl:when>
            <xsl:when test="$sicCode='3341'">SECONDARY SMELTING &#38; REFINING OF NONFERROUS METALS</xsl:when>
            <xsl:when test="$sicCode='3350'">ROLLING DRAWING &#38; EXTRUDING OF NONFERROUS METALS</xsl:when>
            <xsl:when test="$sicCode='3357'">DRAWING &#38; INSULATING NONFERROUS WIRE</xsl:when>
            <xsl:when test="$sicCode='3360'">NONFERROUS FOUNDRIES (CASTINGS)</xsl:when>
            <xsl:when test="$sicCode='3390'">MISCELLANEOUS PRIMARY METAL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3411'">METAL CANS</xsl:when>
            <xsl:when test="$sicCode='3412'">METAL SHIPPING BARRELS, DRUMS, KEGS &#38; PAILS</xsl:when>
            <xsl:when test="$sicCode='3420'">CUTLERY, HANDTOOLS &#38; GENERAL HARDWARE</xsl:when>
            <xsl:when test="$sicCode='3430'">HEATING EQUIP, EXCEPT ELEC &#38; WARM AIR, &#38; PLUMBING FIXTURES</xsl:when>
            <xsl:when test="$sicCode='3433'">HEATING EQUIPMENT, EXECPT ELECTRIC &#38; WARM AIR FURNACES</xsl:when>
            <xsl:when test="$sicCode='3440'">FABRICATED STRUCTURAL METAL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3442'">METAL DOORS, SASH, FRAMES, MOLDING &#38; TRIM</xsl:when>
            <xsl:when test="$sicCode='3443'">FRABRICATED PLATE WORK (BOILER SHOPS)</xsl:when>
            <xsl:when test="$sicCode='3444'">SHEET METAL WORK</xsl:when>
            <xsl:when test="$sicCode='3448'">PREFABRICATED METAL BUILDINGS &#38; COMPONENTS</xsl:when>
            <xsl:when test="$sicCode='3451'">SCREW MACHINE PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3452'">BOLTS, NUTS, SCREWS, RIVETS &#38; WASHERS</xsl:when>
            <xsl:when test="$sicCode='3460'">METAL FORGINGS &#38; STAMPINGS</xsl:when>
            <xsl:when test="$sicCode='3470'">COATING, ENGRAVING &#38; ALLIED SERVICES</xsl:when>
            <xsl:when test="$sicCode='3480'">ORDNANCE &#38; ACCESSORIES, (NO VEHICLES/GUIDED MISSILES)</xsl:when>
            <xsl:when test="$sicCode='3490'">MISCELLANEOUS FABRICATED METAL PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='3510'">ENGINES &#38; TURBINES</xsl:when>
            <xsl:when test="$sicCode='3523'">FARM MACHINERY &#38; EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3524'">LAWN &#38; GARDEN TRACTORS &#38; HOME LAWN &#38; GARDENS EQUIP</xsl:when>
            <xsl:when test="$sicCode='3530'">CONSTRUCTION, MINING &#38; MATERIALS HANDLING MACHINERY &#38; EQUIP</xsl:when>
            <xsl:when test="$sicCode='3531'">CONSTRUCTION MACHINERY &#38; EQUIP</xsl:when>
            <xsl:when test="$sicCode='3532'">MINING MACHINERY &#38; EQUIP (NO OIL &#38; GAS FIELD MACH &#38; EQUIP)</xsl:when>
            <xsl:when test="$sicCode='3533'">OIL &#38; GAS FIELD MACHINERY &#38; EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3537'">INDUSTRIAL TRUCKS TRACTORS TRAILORS &#38; STACKERS</xsl:when>
            <xsl:when test="$sicCode='3540'">METALWORKING MACHINERY &#38; EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3541'">MACHINE TOOLS, METAL CUTTING TYPES</xsl:when>
            <xsl:when test="$sicCode='3550'">SPECIAL INDUSTRY MACHINERY (NO METALWORKING MACHINERY)</xsl:when>
            <xsl:when test="$sicCode='3555'">PRINTING TRADES MACHINERY &#38; EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3559'">SPECIAL INDUSTRY MACHINERY, NEC</xsl:when>
            <xsl:when test="$sicCode='3560'">GENERAL INDUSTRIAL MACHINERY &#38; EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3561'">PUMPS &#38; PUMPING EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3562'">BALL &#38; ROLLER BEARINGS</xsl:when>
            <xsl:when test="$sicCode='3564'">INDUSTRIAL &#38; COMMERCIAL FANS &#38; BLOWERS &#38; AIR PURIFING EQUI</xsl:when>
            <xsl:when test="$sicCode='3567'">INDUSTRIAL PROCESS FURNACES &#38; OVENS</xsl:when>
            <xsl:when test="$sicCode='3569'">GENERAL INDUSTRIAL MACHINERY &#38; EQUIPMENT, NEC</xsl:when>
            <xsl:when test="$sicCode='3570'">COMPUTER &#38; OFFICE EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3571'">ELECTRONIC COMPUTERS</xsl:when>
            <xsl:when test="$sicCode='3572'">COMPUTER STORAGE DEVICES</xsl:when>
            <xsl:when test="$sicCode='3575'">COMPUTER TERMINALS</xsl:when>
            <xsl:when test="$sicCode='3576'">COMPUTER COMMUNICATIONS EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3577'">COMPUTER PERIPHERAL EQUIPMENT, NEC</xsl:when>
            <xsl:when test="$sicCode='3578'">CALCULATING &#38; ACCOUNTING MACHINES (NO ELECTRONIC COMPUTERS</xsl:when>
            <xsl:when test="$sicCode='3579'">OFFICE MACHINES, NEC</xsl:when>
            <xsl:when test="$sicCode='3580'">REFRIGERATION &#38; SERVICE INDUSTRY MACHINERY</xsl:when>
            <xsl:when test="$sicCode='3585'">AIR-COND &#38; WARM AIR HEATG EQUIP &#38; COMM &#38; INDL REFRIG EQUIP</xsl:when>
            <xsl:when test="$sicCode='3590'">MISC INDUSTRIAL &#38; COMMERCIAL MACHINERY &#38; EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3600'">ELECTRONIC &#38; OTHER ELECTRICAL EQUIPMENT (NO COMPUTER EQUIP</xsl:when>
            <xsl:when test="$sicCode='3612'">POWER, DISTRIBUTION &#38; SPECIALITY TRANSFORMERS</xsl:when>
            <xsl:when test="$sicCode='3613'">SWITCHGEAR &#38; SWITCHBOARD APPARATUS</xsl:when>
            <xsl:when test="$sicCode='3620'">ELECTRICAL INDUSTRIAL APPARATUS</xsl:when>
            <xsl:when test="$sicCode='3621'">MOTORS &#38; GENERATORS</xsl:when>
            <xsl:when test="$sicCode='3630'">HOUSEHOLD APPLIANCES</xsl:when>
            <xsl:when test="$sicCode='3634'">ELECTRIC HOUSEWARES &#38; FANS</xsl:when>
            <xsl:when test="$sicCode='3640'">ELECTRIC LIGHTING &#38; WIRING EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3651'">HOUSEHOLD AUDIO &#38; VIDEO EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3652'">PHONOGRAPH RECORDS &#38; PRERECORDED AUDIO TAPES &#38; DISKS</xsl:when>
            <xsl:when test="$sicCode='3661'">TELEPHONE &#38; TELEGRAPH APPARATUS</xsl:when>
            <xsl:when test="$sicCode='3663'">RADIO &#38; TV BROADCASTING &#38; COMMUNICATIONS EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3669'">COMMUNICATIONS EQUIPMENT, NEC</xsl:when>
            <xsl:when test="$sicCode='3670'">ELECTRONIC COMPONENTS &#38; ACCESSORIES</xsl:when>
            <xsl:when test="$sicCode='3672'">PRINTED CIRCUIT BOARDS</xsl:when>
            <xsl:when test="$sicCode='3674'">SEMICONDUCTORS &#38; RELATED DEVICES</xsl:when>
            <xsl:when test="$sicCode='3677'">ELECTRONIC COILS, TRANSFORMERS &#38; OTHER INDUCTORS</xsl:when>
            <xsl:when test="$sicCode='3678'">ELECTRONIC CONNECTORS</xsl:when>
            <xsl:when test="$sicCode='3679'">ELECTRONIC COMPONENTS, NEC</xsl:when>
            <xsl:when test="$sicCode='3690'">MISCELLANEOUS ELECTRICAL MACHINERY, EQUIPMENT &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='3695'">MAGNETIC &#38; OPTICAL RECORDING MEDIA</xsl:when>
            <xsl:when test="$sicCode='3711'">MOTOR VEHICLES &#38; PASSENGER CAR BODIES</xsl:when>
            <xsl:when test="$sicCode='3713'">TRUCK &#38; BUS BODIES</xsl:when>
            <xsl:when test="$sicCode='3714'">MOTOR VEHICLE PARTS &#38; ACCESSORIES</xsl:when>
            <xsl:when test="$sicCode='3715'">TRUCK TRAILERS</xsl:when>
            <xsl:when test="$sicCode='3716'">MOTOR HOMES</xsl:when>
            <xsl:when test="$sicCode='3720'">AIRCRAFT &#38; PARTS</xsl:when>
            <xsl:when test="$sicCode='3721'">AIRCRAFT</xsl:when>
            <xsl:when test="$sicCode='3724'">AIRCRAFT ENGINES &#38; ENGINE PARTS</xsl:when>
            <xsl:when test="$sicCode='3728'">AIRCRAFT PARTS &#38; AUXILIARY EQUIPMENT, NEC</xsl:when>
            <xsl:when test="$sicCode='3730'">SHIP &#38; BOAT BUILDING &#38; REPAIRING</xsl:when>
            <xsl:when test="$sicCode='3743'">RAILROAD EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3751'">MOTORCYCLES, BICYCLES &#38; PARTS</xsl:when>
            <xsl:when test="$sicCode='3760'">GUIDED MISSLES &#38; SPACE VEHICLES &#38; PARTS</xsl:when>
            <xsl:when test="$sicCode='3790'">MISCELLANEOUS TRANSPORTATION EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='3812'">SEARCH, DETECTION, NAVAGATION, GUIDANCE, AERONAUTICAL SYS</xsl:when>
            <xsl:when test="$sicCode='3821'">LABORATORY APPARATUS &#38; FURNITURE</xsl:when>
            <xsl:when test="$sicCode='3822'">AUTO CONTROLS FOR REGULATING RESIDENTIAL &#38; COMML ENVIRONME</xsl:when>
            <xsl:when test="$sicCode='3823'">INDUSTRIAL INSTRUMENTS FOR MEASUREMENT, DISPLAY, AND CONTR</xsl:when>
            <xsl:when test="$sicCode='3824'">TOTALIIZING FLUID METERS &#38; COUNTING DEVICES</xsl:when>
            <xsl:when test="$sicCode='3825'">INSTRUMENTS FOR MEAS &#38; TESTING OF ELECTRICITY &#38; ELEC SIGNA</xsl:when>
            <xsl:when test="$sicCode='3826'">LABORATORY ANALYTICAL INSTRUMENTS</xsl:when>
            <xsl:when test="$sicCode='3827'">OPTICAL INSTRUMENTS &#38; LENSES</xsl:when>
            <xsl:when test="$sicCode='3829'">MEASURING &#38; CONTROLLING DEVICES, NEC</xsl:when>
            <xsl:when test="$sicCode='3841'">SURGICAL &#38; MEDICAL INSTRUMENTS &#38; APPARATUS</xsl:when>
            <xsl:when test="$sicCode='3842'">ORTHOPEDIC, PROSTHETIC &#38; SURGICAL APPLIANCES &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='3843'">DENTAL EQUIPMENT &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='3844'">X-RAY APPARATUS &#38; TUBES &#38; RELATED IRRADIATION APPARATUS</xsl:when>
            <xsl:when test="$sicCode='3845'">ELECTROMEDICAL &#38; ELECTROTHERAPEUTIC APPARATUS</xsl:when>
            <xsl:when test="$sicCode='3851'">OPHTHALMIC GOODS</xsl:when>
            <xsl:when test="$sicCode='3861'">PHOTOGRAPHIC EQUIPMENT &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='3873'">WATCHES, CLOCKS, CLOCKWORK OPERATED DEVICES/PARTS</xsl:when>
            <xsl:when test="$sicCode='3910'">JEWELRY, SILVERWARE &#38; PLATED WARE</xsl:when>
            <xsl:when test="$sicCode='3911'">JEWELRY, PRECIOUS METAL</xsl:when>
            <xsl:when test="$sicCode='3931'">MUSICAL INSTRUMENTS</xsl:when>
            <xsl:when test="$sicCode='3942'">DOLLS &#38; STUFFED TOYS</xsl:when>
            <xsl:when test="$sicCode='3944'">GAMES, TOYS &#38; CHILDREN'S VEHICLES (NO DOLLS &#38; BICYCLES)</xsl:when>
            <xsl:when test="$sicCode='3949'">SPORTING &#38; ATHELTIC GOODS, NEC</xsl:when>
            <xsl:when test="$sicCode='3950'">PENS, PENCILS &#38; OTHER ARTISTS' MATERIALS</xsl:when>
            <xsl:when test="$sicCode='3960'">COSTUME JEWLREY &#38; NOVELTIES</xsl:when>
            <xsl:when test="$sicCode='3990'">MISCELLANEOUS MANUFACTURING INDUSTRIES</xsl:when>
            <xsl:when test="$sicCode='4011'">RAILROADS, LINE-HAUL OPERATING</xsl:when>
            <xsl:when test="$sicCode='4013'">RAILROAD SWITCHING &#38; TERMINAL ESTABLISHMENTS</xsl:when>
            <xsl:when test="$sicCode='4100'">LOCAL &#38; SUBURBAN TRANSIT &#38; INTERURBAN HWY PASSENGER TRANS</xsl:when>
            <xsl:when test="$sicCode='4210'">TRUCKING &#38; COURIER SERVICES (NO AIR)</xsl:when>
            <xsl:when test="$sicCode='4213'">TRUCKING (NO LOCAL)</xsl:when>
            <xsl:when test="$sicCode='4220'">PUBLIC WAREHOUSING &#38; STORAGE</xsl:when>
            <xsl:when test="$sicCode='4231'">TERMINAL MAINTENANCE FACILITIES FOR MOTOR FREIGHT TRANSPOR</xsl:when>
            <xsl:when test="$sicCode='4400'">WATER TRANSPORTATION</xsl:when>
            <xsl:when test="$sicCode='4412'">DEEP SEA FOREIGN TRANSPORTATION OF FREIGHT</xsl:when>
            <xsl:when test="$sicCode='4512'">AIR TRANSPORTATION, SCHEDULED</xsl:when>
            <xsl:when test="$sicCode='4513'">AIR COURIER SERVICES</xsl:when>
            <xsl:when test="$sicCode='4522'">AIR TRANSPORTATION, NONSCHEDULED</xsl:when>
            <xsl:when test="$sicCode='4581'">AIRPORTS, FLYING FIELDS &#38; AIRPORT TERMINAL SERVICES</xsl:when>
            <xsl:when test="$sicCode='4610'">PIPE LINES (NO NATURAL GAS)</xsl:when>
            <xsl:when test="$sicCode='4700'">TRANSPORTATION SERVICES</xsl:when>
            <xsl:when test="$sicCode='4731'">ARRANGEMENT OF TRANSPORTATION OF FREIGHT &#38; CARGO</xsl:when>
            <xsl:when test="$sicCode='4812'">RADIOTELEPHONE COMMUNICATIONS</xsl:when>
            <xsl:when test="$sicCode='4813'">TELEPHONE COMMUNICATIONS (NO RADIOTELEPHONE)</xsl:when>
            <xsl:when test="$sicCode='4822'">TELEGRAPH &#38; OTHER MESSAGE COMMUNICATIONS</xsl:when>
            <xsl:when test="$sicCode='4832'">RADIO BROADCASTING STATIONS</xsl:when>
            <xsl:when test="$sicCode='4833'">TELEVISION BROADCASTING STATIONS</xsl:when>
            <xsl:when test="$sicCode='4841'">CABLE &#38; OTHER PAY TELEVISION SERVICES</xsl:when>
            <xsl:when test="$sicCode='4899'">COMMUNICATION SERVICES, NEC</xsl:when>
            <xsl:when test="$sicCode='4900'">ELECTRIC, GAS &#38; SANITARY SERVICES</xsl:when>
            <xsl:when test="$sicCode='4911'">ELECTRIC SERVICES</xsl:when>
            <xsl:when test="$sicCode='4922'">NATURAL GAS TRANSMISSION</xsl:when>
            <xsl:when test="$sicCode='4923'">NATURAL GAS TRANSMISSION &#38; DISTRIBUTION</xsl:when>
            <xsl:when test="$sicCode='4924'">NATURAL GAS DISTRIBUTION</xsl:when>
            <xsl:when test="$sicCode='4931'">ELECTRIC &#38; OTHER SERVICES COMBINED</xsl:when>
            <xsl:when test="$sicCode='4932'">GAS &#38; OTHER SERVICES COMBINED</xsl:when>
            <xsl:when test="$sicCode='4941'">WATER SUPPLY</xsl:when>
            <xsl:when test="$sicCode='4950'">SANITARY SERVICES</xsl:when>
            <xsl:when test="$sicCode='4953'">REFUSE SYSTEMS</xsl:when>
            <xsl:when test="$sicCode='4955'">HAZARDOUS WASTE MANAGEMENT</xsl:when>
            <xsl:when test="$sicCode='4961'">STEAM &#38; AIR-CONDITIONING SUPPLY</xsl:when>
            <xsl:when test="$sicCode='4991'">COGENERATION SERVICES &#38; SMALL POWER PRODUCERS</xsl:when>
            <xsl:when test="$sicCode='5000'">WHOLESALE-DURABLE GOODS</xsl:when>
            <xsl:when test="$sicCode='5010'">WHOLESALE-MOTOR VEHICLES &#38; MOTOR VEHICLE PARTS &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='5013'">WHOLESALE-MOTOR VEHICLE SUPPLIES &#38; NEW PARTS</xsl:when>
            <xsl:when test="$sicCode='5020'">WHOLESALE-FURNITURE &#38; HOME FURNISHINGS</xsl:when>
            <xsl:when test="$sicCode='5030'">WHOLESALE-LUMBER &#38; OTHER CONSTRUCTION MATERIALS</xsl:when>
            <xsl:when test="$sicCode='5031'">WHOLESALE-LUMBER, PLYWOOD, MILLWORK &#38; WOOD PANELS</xsl:when>
            <xsl:when test="$sicCode='5040'">WHOLESALE-PROFESSIONAL &#38; COMMERICAL EQUIPMENT &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='5045'">WHOLESALE-COMPUTER &#38; PERIPHERAL EQUIPMENT &#38; SOFTWARE</xsl:when>
            <xsl:when test="$sicCode='5047'">WHOLESALE-MEDICAL, DENTAL &#38; HOSPITAL EQUIPMENT &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='5050'">WHOLESALE-METALS, MINERALS (NO PETROLEUM)</xsl:when>
            <xsl:when test="$sicCode='5051'">WHOLESALE-METALS SERVICE CENTERS &#38; OFFICES</xsl:when>
            <xsl:when test="$sicCode='5063'">WHOLESALE-ELECTRICAL APPARATUS &#38; EQUIPMENT, WIRING SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='5064'">WHOLESALE-ELECTRICAL APPLIANCES, TV &#38; RADIO SETS</xsl:when>
            <xsl:when test="$sicCode='5065'">WHOLESALE-ELECTRONIC PARTS &#38; EQUIPMENT, NEC</xsl:when>
            <xsl:when test="$sicCode='5070'">WHOLESALE-HARDWARE &#38; PLUMBING &#38; HEATING EQUIPMENT &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='5072'">WHOLESALE-HARDWARE</xsl:when>
            <xsl:when test="$sicCode='5080'">WHOLESALE-MACHINERY, EQUIPMENT &#38; SUPPLIES</xsl:when>
            <xsl:when test="$sicCode='5082'">WHOLESALE-CONSTRUCTION &#38; MINING (NO PETRO) MACHINERY &#38; EQUIP</xsl:when>
            <xsl:when test="$sicCode='5084'">WHOLESALE-INDUSTRIAL MACHINERY &#38; EQUIPMENT</xsl:when>
            <xsl:when test="$sicCode='5090'">WHOLESALE-MISC DURABLE GOODS</xsl:when>
            <xsl:when test="$sicCode='5094'">WHOLESALE-JEWELRY, WATCHES, PRECIOUS STONES &#38; METALS</xsl:when>
            <xsl:when test="$sicCode='5099'">WHOLESALE-DURABLE GOODS, NEC</xsl:when>
            <xsl:when test="$sicCode='5110'">WHOLESALE-PAPER AND PAPER PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='5122'">WHOLESALE-DRUGS PROPRIETARIES &#38; DRUGGISTS' SUNDRIES</xsl:when>
            <xsl:when test="$sicCode='5130'">WHOLESALE-APPAREL, PIECE GOODS &#38; NOTIONS</xsl:when>
            <xsl:when test="$sicCode='5140'">WHOLESALE-GROCERIES &#38; RELATED PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='5141'">WHOLESALE-GROCERIES &#38; GENERAL LINE</xsl:when>
            <xsl:when test="$sicCode='5150'">WHOLESALE-FARM PRODUCT RAW MATERIALS</xsl:when>
            <xsl:when test="$sicCode='5160'">WHOLESALE-CHEMICALS &#38; ALLIED PRODUCTS</xsl:when>
            <xsl:when test="$sicCode='5171'">WHOLESALE-PETROLEUM BULK STATIONS &#38; TERMINALS</xsl:when>
            <xsl:when test="$sicCode='5172'">WHOLESALE-PETROLEUM &#38; PETROLEUM PRODUCTS (NO BULK STATIONS)</xsl:when>
            <xsl:when test="$sicCode='5180'">WHOLESALE-BEER, WINE &#38; DISTILLED ALCOHOLIC BEVERAGES</xsl:when>
            <xsl:when test="$sicCode='5190'">WHOLESALE-MISCELLANEOUS NONDURABLE GOODS</xsl:when>
            <xsl:when test="$sicCode='5200'">RETAIL-BUILDING MATERIALS, HARDWARE, GARDEN SUPPLY</xsl:when>
            <xsl:when test="$sicCode='5211'">RETAIL-LUMBER &#38; OTHER BUILDING MATERIALS DEALERS</xsl:when>
            <xsl:when test="$sicCode='5271'">RETAIL-MOBILE HOME DEALERS</xsl:when>
            <xsl:when test="$sicCode='5311'">RETAIL-DEPARTMENT STORES</xsl:when>
            <xsl:when test="$sicCode='5331'">RETAIL-VARIETY STORES</xsl:when>
            <xsl:when test="$sicCode='5399'">RETAIL-MISC GENERAL MERCHANDISE STORES</xsl:when>
            <xsl:when test="$sicCode='5400'">RETAIL-FOOD STORES</xsl:when>
            <xsl:when test="$sicCode='5411'">RETAIL-GROCERY STORES</xsl:when>
            <xsl:when test="$sicCode='5412'">RETAIL-CONVENIENCE STORES</xsl:when>
            <xsl:when test="$sicCode='5500'">RETAIL-AUTO DEALERS &#38; GASOLINE STATIONS</xsl:when>
            <xsl:when test="$sicCode='5531'">RETAIL-AUTO &#38; HOME SUPPLY STORES</xsl:when>
            <xsl:when test="$sicCode='5600'">RETAIL-APPAREL &#38; ACCESSORY STORES</xsl:when>
            <xsl:when test="$sicCode='5621'">RETAIL-WOMEN'S CLOTHING STORES</xsl:when>
            <xsl:when test="$sicCode='5651'">RETAIL-FAMILY CLOTHING STORES</xsl:when>
            <xsl:when test="$sicCode='5661'">RETAIL-SHOE STORES</xsl:when>
            <xsl:when test="$sicCode='5700'">RETAIL-HOME FURNITURE, FURNISHINGS &#38; EQUIPMENT STORES</xsl:when>
            <xsl:when test="$sicCode='5712'">RETAIL-FURNITURE STORES</xsl:when>
            <xsl:when test="$sicCode='5731'">RETAIL-RADIO TV &#38; CONSUMER ELECTRONICS STORES</xsl:when>
            <xsl:when test="$sicCode='5734'">RETAIL-COMPUTER &#38; COMPUTER SOFTWARE STORES</xsl:when>
            <xsl:when test="$sicCode='5735'">RETAIL-COMPUTER &#38; PRERECORDED TAPE STORES</xsl:when>
            <xsl:when test="$sicCode='5810'">RETAIL-EATING &#38; DRINKING PLACES</xsl:when>
            <xsl:when test="$sicCode='5812'">RETAIL-EATING PLACES</xsl:when>
            <xsl:when test="$sicCode='5900'">RETAIL-MISCELLANEOUS RETAIL</xsl:when>
            <xsl:when test="$sicCode='5912'">RETAIL-DRUG STORES AND  PROPRIETARY STORES</xsl:when>
            <xsl:when test="$sicCode='5940'">RETAIL-MISCELLANEOUS SHOPPING GOODS STORES</xsl:when>
            <xsl:when test="$sicCode='5944'">RETAIL-JEWELRY STORES</xsl:when>
            <xsl:when test="$sicCode='5945'">RETAIL-HOBBY, TOY &#38; GAME SHOPS</xsl:when>
            <xsl:when test="$sicCode='5960'">RETAIL-NONSTORE RETAILERS</xsl:when>
            <xsl:when test="$sicCode='5961'">RETAIL-CATALOG &#38; MAIL-ORDER HOUSES</xsl:when>
            <xsl:when test="$sicCode='5990'">RETAIL-RETAIL STORES, NEC</xsl:when>
            <xsl:when test="$sicCode='6021'">NATIONAL COMMERICAL BANKS</xsl:when>
            <xsl:when test="$sicCode='6022'">STATE COMMERICAL BANKS</xsl:when>
            <xsl:when test="$sicCode='6023'">STATE BANKS-NOT FEDERAL RESERVE SYSTEM</xsl:when>
            <xsl:when test="$sicCode='6025'">NATIONAL BANKS-FEDERAL RESERVE SYSTEM</xsl:when>
            <xsl:when test="$sicCode='6029'">COMMERCIAL BANKS, NEC</xsl:when>
            <xsl:when test="$sicCode='6035'">SAVINGS INSTITUTION, FEDERALLY CHARTERED</xsl:when>
            <xsl:when test="$sicCode='6036'">SAVINGS INSTITUTIONS, NOT FEDERALLY CHARTERED</xsl:when>
            <xsl:when test="$sicCode='6099'">FUNCTIONS RELATED TO DEPOSITORY BANKING, NEC</xsl:when>
            <xsl:when test="$sicCode='6111'">FEDERAL &#38; FEDERALLY-SPONSORED CREDIT AGENCIES</xsl:when>
            <xsl:when test="$sicCode='6120'">SAVINGS &#38; LOAN ASSOCIATIONS</xsl:when>
            <xsl:when test="$sicCode='6141'">PERSONAL CREDIT INSTITUTIONS</xsl:when>
            <xsl:when test="$sicCode='6150'">BUSINESS CREDIT INSTITUTIONS (FIN LEASING FISA TRUST)</xsl:when>
            <xsl:when test="$sicCode='6153'">SHORT-TERM BUSINESS CREDIT INSTITUTIONS</xsl:when>
            <xsl:when test="$sicCode='6159'">MISCELLANEOUS BUSINESS CREDIT INSTITUTION</xsl:when>
            <xsl:when test="$sicCode='6162'">MORTGAGE BANKERS &#38; LOAN CORRESPONDENTS</xsl:when>
            <xsl:when test="$sicCode='6163'">LOAN BROKERS</xsl:when>
            <xsl:when test="$sicCode='6172'">FINANCE LESSORS</xsl:when>
            <xsl:when test="$sicCode='6189'">ASSET-BACKED SECURITIES</xsl:when>
            <xsl:when test="$sicCode='6199'">FINANCE SERVICES</xsl:when>
            <xsl:when test="$sicCode='6200'">SECURITY &#38; COMMODITY BROKERS, DEALERS, EXCHANGES &#38; SERVICES</xsl:when>
            <xsl:when test="$sicCode='6211'">SECURITY BROKERS, DEALERS &#38; FLOTATION COMPANIES</xsl:when>
            <xsl:when test="$sicCode='6221'">COMMODITY CONTRACTS BROKERS &#38; DEALERS</xsl:when>
            <xsl:when test="$sicCode='6282'">INVESTMENT ADVICE</xsl:when>
            <xsl:when test="$sicCode='6311'">LIFE INSURANCE</xsl:when>
            <xsl:when test="$sicCode='6321'">ACCIDENT &#38; HEALTH INSURANCE</xsl:when>
            <xsl:when test="$sicCode='6324'">HOSPITAL &#38; MEDICAL SERVICE PLANS</xsl:when>
            <xsl:when test="$sicCode='6331'">FIRE, MARINE &#38; CASUALTY INSURANCE</xsl:when>
            <xsl:when test="$sicCode='6351'">SURETY INSURANCE</xsl:when>
            <xsl:when test="$sicCode='6361'">TITLE INSURANCE</xsl:when>
            <xsl:when test="$sicCode='6399'">INSURANCE CARRIERS, NEC</xsl:when>
            <xsl:when test="$sicCode='6411'">INSURANCE AGENTS BROKERS &#38; SERVICES</xsl:when>
            <xsl:when test="$sicCode='6500'">REAL ESTATE</xsl:when>
            <xsl:when test="$sicCode='6510'">REAL ESTATE OPERATORS (NO DEVELOPERS) &#38; LESSORS</xsl:when>
            <xsl:when test="$sicCode='6512'">OPERATORS OF NONRESIDENTIAL BUILDINGS</xsl:when>
            <xsl:when test="$sicCode='6513'">OPERATORS OF APARTMENT BUILDINGS</xsl:when>
            <xsl:when test="$sicCode='6519'">LESSORS OF REAL PROPERTY, NEC</xsl:when>
            <xsl:when test="$sicCode='6531'">REAL ESTATE AGENTS &#38; MANAGERS (FOR OTHERS)</xsl:when>
            <xsl:when test="$sicCode='6532'">REAL ESTATE DEALERS (FOR THEIR OWN ACCOUNT)</xsl:when>
            <xsl:when test="$sicCode='6552'">LAND SUBDIVIDERS &#38; DEVELOPERS (NO CEMETERIES)</xsl:when>
            <xsl:when test="$sicCode='6770'">BLANK CHECKS</xsl:when>
            <xsl:when test="$sicCode='6792'">OIL ROYALTY TRADERS</xsl:when>
            <xsl:when test="$sicCode='6794'">PATENT OWNERS &#38; LESSORS</xsl:when>
            <xsl:when test="$sicCode='6795'">MINERAL ROYALTY TRADERS</xsl:when>
            <xsl:when test="$sicCode='6798'">REAL ESTATE INVESTMENT TRUSTS</xsl:when>
            <xsl:when test="$sicCode='6799'">INVESTORS, NEC</xsl:when>
            <xsl:when test="$sicCode='7000'">HOTELS, ROOMING HOUSES, CAMPS &#38; OTHER LODGING PLACES</xsl:when>
            <xsl:when test="$sicCode='7011'">HOTELS  &#38; MOTELS</xsl:when>
            <xsl:when test="$sicCode='7200'">SERVICES-PERSONAL SERVICES</xsl:when>
            <xsl:when test="$sicCode='7310'">SERVICES-ADVERTISING</xsl:when>
            <xsl:when test="$sicCode='7311'">SERVICES-ADVERTISING AGENCIES</xsl:when>
            <xsl:when test="$sicCode='7320'">SERVICES-CONSUMER CREDIT REPORTING, COLLECTION AGENCIES</xsl:when>
            <xsl:when test="$sicCode='7330'">SERVICES-MAILING, REPRODUCTION, COMMERCIAL ART &#38; PHOTOGRAP</xsl:when>
            <xsl:when test="$sicCode='7331'">SERVICES-DIRECT MAIL ADVERTISING SERVICES</xsl:when>
            <xsl:when test="$sicCode='7340'">SERVICES-TO DWELLINGS &#38; OTHER BUILDINGS</xsl:when>
            <xsl:when test="$sicCode='7350'">SERVICES-MISCELLANEOUS EQUIPMENT RENTAL &#38; LEASING</xsl:when>
            <xsl:when test="$sicCode='7359'">SERVICES-EQUIPMENT RENTAL &#38; LEASING, NEC</xsl:when>
            <xsl:when test="$sicCode='7361'">SERVICES-EMPLOYMENT AGENCIES</xsl:when>
            <xsl:when test="$sicCode='7363'">SERVICES-HELP SUPPLY SERVICES</xsl:when>
            <xsl:when test="$sicCode='7370'">SERVICES-COMPUTER PROGRAMMING, DATA PROCESSING, ETC</xsl:when>
            <xsl:when test="$sicCode='7371'">SERVICES-COMPUTER PROGRAMMING SERVICES</xsl:when>
            <xsl:when test="$sicCode='7372'">SERVICES-PREPACKAGED SOFTWARE</xsl:when>
            <xsl:when test="$sicCode='7373'">SERVICES-COMPUTER INTEGRATED SYSTEMS DESIGN</xsl:when>
            <xsl:when test="$sicCode='7374'">SERVICES-COMPUTER PROCESSING &#38; DATA PREPARATION</xsl:when>
            <xsl:when test="$sicCode='7377'">SERVICES-COMPUTER RENTAL &#38; LEASING</xsl:when>
            <xsl:when test="$sicCode='7380'">SERVICES-MISCELLANEOUS BUSINESS SERVICES</xsl:when>
            <xsl:when test="$sicCode='7381'">SERVICES-DETECTIVE, GUARD &#38; ARMORED CAR SERVICES</xsl:when>
            <xsl:when test="$sicCode='7384'">SERVICES-PHOTOFINISHING LABORATORIES</xsl:when>
            <xsl:when test="$sicCode='7385'">SERVICES-TELEPHONE INTERCONNECT SYSTEMS</xsl:when>
            <xsl:when test="$sicCode='7389'">SERVICES-BUSINESS SERVICES, NEC</xsl:when>
            <xsl:when test="$sicCode='7394'">SERVICES-EQUIPMENT RENTAL &#38; LEASING (NOT FINANCE)</xsl:when>
            <xsl:when test="$sicCode='7500'">SERVICES-AUTOMOTIVE REPAIR, SERVICES &#38; PARKING</xsl:when>
            <xsl:when test="$sicCode='7510'">SERVICES-AUTO RENTAL &#38; LEASING (NO DRIVERS)</xsl:when>
            <xsl:when test="$sicCode='7600'">SERVICES-MISCELLANEOUS REPAIR SERVICES</xsl:when>
            <xsl:when test="$sicCode='7812'">SERVICES-MOTION PICTURE &#38; VIDEO TAPE PRODUCTION</xsl:when>
            <xsl:when test="$sicCode='7819'">SERVICES-ALLIED TO MOTION PICTURE PRODUCTION</xsl:when>
            <xsl:when test="$sicCode='7822'">SERVICES-MOTION PICTURE &#38; VIDEO TAPE DISTRIBUTION</xsl:when>
            <xsl:when test="$sicCode='7829'">SERVICES-ALLIED TO MOTION PICTURE DISTRIBUTION</xsl:when>
            <xsl:when test="$sicCode='7830'">SERVICES-MOTION PICTURE THEATERS</xsl:when>
            <xsl:when test="$sicCode='7841'">SERVICES-VIDEO TAPE RENTAL</xsl:when>
            <xsl:when test="$sicCode='7900'">SERVICES-AMUSEMENT &#38; RECREATION SERVICES</xsl:when>
            <xsl:when test="$sicCode='7948'">SERVICES-RACING, INCLUDING TRACK OPERATION</xsl:when>
            <xsl:when test="$sicCode='7990'">SERVICES-MISCELLANEOUS AMUSEMENT &#38; RECREATION</xsl:when>
            <xsl:when test="$sicCode='7997'">SERVICES-MEMBERSHIP SPORTS &#38; RECREATION CLUBS</xsl:when>
            <xsl:when test="$sicCode='8000'">SERVICES-HEALTH SERVICES</xsl:when>
            <xsl:when test="$sicCode='8011'">SERVICES-OFFICES &#38; CLINICS OF DOCTORS OF MEDICINE</xsl:when>
            <xsl:when test="$sicCode='8050'">SERVICES-NURSING &#38; PERSONAL CARE FACILITIES</xsl:when>
            <xsl:when test="$sicCode='8051'">SERVICES-SKILLED NURSING CARE FACILITIES</xsl:when>
            <xsl:when test="$sicCode='8060'">SERVICES-HOSPITALS</xsl:when>
            <xsl:when test="$sicCode='8062'">SERVICES-GENERAL MEDICAL &#38; SURGICAL HOSPITALS, NEC</xsl:when>
            <xsl:when test="$sicCode='8071'">SERVICES-MEDICAL LABORATORIES</xsl:when>
            <xsl:when test="$sicCode='8082'">SERVICES-HOME HEALTH CARE SERVICES</xsl:when>
            <xsl:when test="$sicCode='8090'">SERVICES-MISC HEALTH &#38; ALLIED SERVICES, NEC</xsl:when>
            <xsl:when test="$sicCode='8093'">SERVICES-SPECIALTY OUTPATIENT FACILITIES, NEC</xsl:when>
            <xsl:when test="$sicCode='8111'">SERVICES-LEGAL SERVICES</xsl:when>
            <xsl:when test="$sicCode='8200'">SERVICES-EDUCATIONAL SERVICES</xsl:when>
            <xsl:when test="$sicCode='8300'">SERVICES-SOCIAL SERVICES</xsl:when>
            <xsl:when test="$sicCode='8351'">SERVICES-CHILD DAY CARE SERVICES</xsl:when>
            <xsl:when test="$sicCode='8400'">SERVICES-MUSEUM, ART GALLERIES, BOTANICAL &#38; ZOO GARDENS</xsl:when>
            <xsl:when test="$sicCode='8600'">SERVICES-MEMBERSHIP ORGANIZATIONS</xsl:when>
            <xsl:when test="$sicCode='8700'">SERVICES-ENGINEERING, ACCOUNTING, RESEARCH, MANAGEMENT</xsl:when>
            <xsl:when test="$sicCode='8711'">SERVICES-ENGINEERING SERVICES</xsl:when>
            <xsl:when test="$sicCode='8731'">SERVICES-COMMERCIAL PHYSICAL &#38; BIOLOGICAL RESEARCH</xsl:when>
            <xsl:when test="$sicCode='8734'">SERVICES-TESTING LABORATORIES</xsl:when>
            <xsl:when test="$sicCode='8741'">SERVICES-MANAGEMENT SERVICES</xsl:when>
            <xsl:when test="$sicCode='8742'">SERVICES-MANAGEMENT CONSULTING SERVICES</xsl:when>
            <xsl:when test="$sicCode='8744'">SERVICES-FACILITIES SUPPORT MANAGEMENT SERVICES</xsl:when>
            <xsl:when test="$sicCode='8880'">SEC Internal Use Only</xsl:when>
            <xsl:when test="$sicCode='8888'">FOREIGN GOVERNMENTS</xsl:when>
            <xsl:when test="$sicCode='8900'">SERVICES-SERVICES, NEC</xsl:when>
            <xsl:when test="$sicCode='9721'">INTERNATIONAL AFFAIRS</xsl:when>
            <xsl:when test="$sicCode='9995'">NON-OPERATING COMPANIES</xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="$sicCode" />
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

</xsl:stylesheet>
