<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

   <!--
   XSL Stylesheet for Reporting Person Table in SEC Forms 3, 4 and 5
   Based on DTDs: ownership#Document.xsd.xml (Version 1.0), ownershipDocumentCommon.xsd.xml (Version 1.0) 
   Version 0.9 - Dated April 22, 2003 
   Created By: SAIC 
   Created for: SEC
   -->

   <xsl:template match="reportingOwner" mode="extras">
      <tr>
         <td valign="top">
            <xsl:call-template name="NameAddressBox">
               <xsl:with-param name="BoxNumber" select="1" />
            </xsl:call-template>
         </td>
      </tr>
   </xsl:template>
   
   <xsl:template match="reportingOwner" mode="form3">
      <table width="100%" border="1" cellspacing="0" cellpadding="4">
         <tr>
            <td rowspan="3" width="30%" valign="top">
               <xsl:call-template name="NameAddressBox">
                  <xsl:with-param name="BoxNumber" select="1" />
               </xsl:call-template>
            </td>

            <td rowspan="3" width="15%" valign="top">
               <xsl:call-template name="EventDateBox">
                  <xsl:with-param name="BoxNumber" select="2" />
               </xsl:call-template>
            </td>

            <td valign="top" colspan="2">
               <xsl:call-template name="IssuerBox">
                  <xsl:with-param name="BoxNumber" select="3" />
               </xsl:call-template>
            </td>
         </tr>

         <tr>
            <td rowspan="2" width="30%" valign="top">
               <xsl:call-template name="RelationshipBox">
                  <xsl:with-param name="BoxNumber" select="4" />
               </xsl:call-template>
            </td>

            <td valign="top">
               <xsl:call-template name="AmendmentDateBox">
                  <xsl:with-param name="BoxNumber" select="5" />
               </xsl:call-template>
            </td>
         </tr>

         <tr>
            <td valign="top">
               <xsl:call-template name="FilingBox">
                  <xsl:with-param name="BoxNumber" select="6" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template match="reportingOwner" mode="form4">
      <table width="100%" border="1" cellspacing="0" cellpadding="4">
         <tr>
            <td rowspan="3" width="35%" valign="top">
               <xsl:call-template name="NameAddressBox">
                  <xsl:with-param name="BoxNumber" select="1" />
               </xsl:call-template>
            </td>

            <td width="35%" valign="top">
               <xsl:call-template name="IssuerBox">
                  <xsl:with-param name="BoxNumber" select="2" />
               </xsl:call-template>
            </td>

            <td rowspan="2" valign="top">
               <xsl:call-template name="RelationshipBox">
                  <xsl:with-param name="BoxNumber" select="5" />
               </xsl:call-template>
            </td>
         </tr>

         <tr>
            <td valign="top">
               <xsl:call-template name="EarliestDateBox">
                  <xsl:with-param name="BoxNumber" select="3" />
               </xsl:call-template>
            </td>
         </tr>

         <tr>
            <td valign="top">
               <xsl:call-template name="AmendmentDateBox">
                  <xsl:with-param name="BoxNumber" select="4" />
               </xsl:call-template>
            </td>

            <td valign="top">
               <xsl:call-template name="FilingBox">
                  <xsl:with-param name="BoxNumber" select="6" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template match="reportingOwner" mode="form5">
      <table width="100%" border="1" cellspacing="0" cellpadding="4">
         <tr>
            <td rowspan="3" width="35%" valign="top">
               <xsl:call-template name="NameAddressBox">
                  <xsl:with-param name="BoxNumber" select="1" />
               </xsl:call-template>
            </td>

            <td width="35%" valign="top">
               <xsl:call-template name="IssuerBox">
                  <xsl:with-param name="BoxNumber" select="2" />
               </xsl:call-template>
            </td>

            <td rowspan="2" valign="top">
               <xsl:call-template name="RelationshipBox">
                  <xsl:with-param name="BoxNumber" select="5" />
               </xsl:call-template>
            </td>
         </tr>

         <tr>
            <td valign="top">
               <xsl:call-template name="FiscalDateBox">
                  <xsl:with-param name="BoxNumber" select="3" />
               </xsl:call-template>
            </td>
         </tr>

         <tr>
            <td valign="top">
               <xsl:call-template name="AmendmentDateBox">
                  <xsl:with-param name="BoxNumber" select="4" />
               </xsl:call-template>
            </td>

            <td valign="top">
               <xsl:call-template name="FilingBox">
                  <xsl:with-param name="BoxNumber" select="6" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template match="reportingOwnerRelationship" mode="mode0">
      <table border="0" width="100%">
         <tr>
            <td width="15%" align="center">
               <xsl:if test="isDirector=1 or isDirector='true'">
                  <xsl:call-template name="CheckThisBox" />
               </xsl:if>
            </td>

            <td width="35%" class="MedSmallFormText">Director</td>

            <td width="15%" align="center">
               <xsl:if test="isTenPercentOwner=1 or isTenPercentOwner='true'">
                  <xsl:call-template name="CheckThisBox"/>
               </xsl:if>
            </td>

            <td width="35%" class="MedSmallFormText">10% Owner</td>
         </tr>

         <tr>
            <td align="center">
               <xsl:if test="isOfficer=1 or isOfficer='true'">
                  <xsl:call-template name="CheckThisBox"/>
               </xsl:if>
            </td>

            <td class="MedSmallFormText">Officer (give title below)</td>

            <td align="center">
               <xsl:if test="isOther=1 or isOther='true'">
                  <xsl:call-template name="CheckThisBox"/>
               </xsl:if>
            </td>

            <td class="MedSmallFormText">Other (specify below)</td>
         </tr>

         <tr>
            <td colspan="4" align="center">
               <xsl:apply-templates select="officerTitle" mode="Normal" />
               <xsl:if test="(string-length(officerTitle)>0) and (string-length(otherText)>0)">
                 /
               </xsl:if>
               <xsl:apply-templates select="otherText" mode="Normal" />
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template match="rptOwnerStreet1|rptOwnerStreet2" mode="mode0">
      <tr>
         <td>
            <xsl:apply-templates select="." mode="Normal" />
         </td>
      </tr>
   </xsl:template>

   <xsl:template match="label|rptOwnerCity|rptOwnerState|rptOwnerZipCode|rptOwnerCountry" mode="mode0">
      <xsl:apply-templates select="." mode="Normal" />
   </xsl:template>

   <xsl:template name="FilingBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Individual or Joint/Group Filing (Check Applicable Line)
      </span>

      <table border="0" width="100%">
         <tr>
            <td width="15%" align="center">
               <xsl:if test="count(../reportingOwner)=1">
                  <xsl:call-template name="CheckThisBox"/>
               </xsl:if>
            </td>

            <td width="85%" class="MedSmallFormText">Form filed by One Reporting Person</td>
         </tr>

         <tr>
            <td width="15%" align="center">
               <xsl:if test="count(../reportingOwner)&gt;1">
                  <xsl:call-template name="CheckThisBox"/>
               </xsl:if>
            </td>

            <td width="85%" class="MedSmallFormText">Form filed by More than One Reporting Person</td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="IssuerBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Issuer Name <b>and</b> Ticker or Trading Symbol
      </span>

      <br />
      <xsl:apply-templates select="../issuer" />
   </xsl:template>

   <xsl:template match="issuer">
      <xsl:call-template name="createCIKLink" >
         <xsl:with-param name="aCIK" select="issuerCik"></xsl:with-param>
         <xsl:with-param name="label" select="issuerName"></xsl:with-param>
     </xsl:call-template>
     [ <xsl:apply-templates select="issuerTradingSymbol" mode="Normal" /> ]
   </xsl:template>

   <xsl:template name="NameAddressBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Name and Address of Reporting Person<sup>*</sup>
      </span>

      <table border="0" width="100%">
         <tr>
            <td>
               <xsl:call-template name="createCIKLink" >
               	 <xsl:with-param name="aCIK" select="reportingOwnerId/rptOwnerCik"></xsl:with-param>
               	 <xsl:with-param name="label" select="reportingOwnerId/rptOwnerName"></xsl:with-param>
               </xsl:call-template>
            </td>
         </tr>
      </table>

      <hr width="98%" />

      <table border="0" width="100%">
         <tr>
            <td width="33%" class="MedSmallFormText">(Last)</td>

            <td width="33%" class="MedSmallFormText">(First)</td>

            <td width="33%" class="MedSmallFormText">(Middle)</td>
         </tr>
      </table>

      <table border="0" width="100%">
         <xsl:apply-templates select="reportingOwnerAddress/rptOwnerStreet1" mode="mode0"/>
         <xsl:apply-templates select="reportingOwnerAddress/rptOwnerStreet2" mode="mode0"/>
      </table>

      <hr width="98%" />

      <span class="MedSmallFormText">(Street)</span>

      <table border="0" width="100%">
         <tr>
            <td width="33%">
               <xsl:apply-templates select="reportingOwnerAddress/rptOwnerCity" mode="mode0" />
            </td>

            <td width="33%">
               <xsl:apply-templates select="reportingOwnerAddress/rptOwnerState" mode="mode0" />

               <xsl:apply-templates select="reportingOwnerAddress/rptOwnerCountry" mode="mode0" />
            </td>

            <td width="33%">
               <xsl:apply-templates select="reportingOwnerAddress/rptOwnerZipCode" mode="mode0" />
            </td>
         </tr>
      </table>

      <hr width="98%" />

      <table border="0" width="100%">
         <tr>
            <td width="33%" class="MedSmallFormText">(City)</td>

            <td width="33%" class="MedSmallFormText">(State)</td>

            <td width="33%" class="MedSmallFormText">(Zip)</td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="StatementDateBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Statement for 
         <xsl:call-template name="DateLabel" />
      </span>
      
      <br />
      <xsl:apply-templates select="../periodOfReport" mode="Normal" />
   </xsl:template>

   <xsl:template name="EarliestDateBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Date of Earliest Transaction
         <xsl:call-template name="DateLabel" />
      </span>

      <br />
      <xsl:apply-templates select="../periodOfReport" mode="formatDate" />
   </xsl:template>

   <xsl:template name="FiscalDateBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Statement for Issuer's Fiscal Year Ended
         <xsl:call-template name="DateLabel" />
      </span>

      <br />
      <xsl:apply-templates select="../periodOfReport" mode="formatDate" />
   </xsl:template>

   <xsl:template name="EventDateBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Date of Event Requiring Statement
         <xsl:call-template name="DateLabel" />
      </span>

      <br />
      <xsl:apply-templates select="../periodOfReport" mode="formatDate" />
   </xsl:template>

   <xsl:template name="AmendmentDateBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. If Amendment, Date of Original Filed
         <xsl:call-template name="DateLabel" />
      </span>

      <br />
      <xsl:apply-templates select="../dateOfOriginalSubmission" mode="formatDate" />
   </xsl:template>

   <xsl:template name="RelationshipBox">
      <xsl:param name="BoxNumber" />

      <span class="MedSmallFormText">
         <xsl:value-of select="$BoxNumber" />. Relationship of Reporting Person(s) to Issuer
      </span>

      <br/>
      <span class="MedSmallFormText">(Check all applicable)</span>

      <xsl:apply-templates select="reportingOwnerRelationship" mode="mode0" />
   </xsl:template>
</xsl:stylesheet>

