<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
   XSL Stylesheet for SEC Forms Common Templates

   Version 1.2 - Dated April 2013
   Version 1.3 - Dated August 2013
	Updated to test in for 'Y' values in addition to (1, 'true', '1', and 'YES') for each of the TestThis Methods
   Version 1.4 - Dated February 2015
	Updated to have the OMB Expiration Date to be optional

   Created By: SAIC 
   Created for: SEC
   -->
   <xsl:template name="CSS">
      <style type="text/css">
              .FormData {color: blue; background-color: white; font-size: small; font-family: Times, serif;}
              .FormDataC {color: blue; background-color: white; font-size: small; font-family: Times, serif; text-align: center;}
              .FormDataR {color: blue; background-color: white; font-size: small; font-family: Times, serif; text-align: right;}
              .SmallFormData {color: blue; background-color: white; font-size: x-small; font-family: Times, serif;}
              .FootnoteData {color: green; background-color: white; font-size: x-small; font-family: Times, serif;}
              .FormNumText {font-size: small; font-weight: bold; font-family: arial, helvetica, sans-serif;}
              .FormAttention {font-size: medium; font-weight: bold; font-family: helvetica;}
              .FormText {font-size: small; font-weight: normal; font-family: arial, helvetica, sans-serif; text-align: left;}
              .FormTextR {font-size: small; font-weight: normal; font-family: arial, helvetica, sans-serif; text-align: right;}
              .FormTextC {font-size: small; font-weight: normal; font-family: arial, helvetica, sans-serif; text-align: center;}
              .FormEMText {font-size: medium; font-style: italic; font-weight: normal; font-family: arial, helvetica, sans-serif;}
              .FormULText {font-size: medium; text-decoration: underline; font-weight: normal; font-family: arial, helvetica, sans-serif;}
              .SmallFormText {font-size: xx-small; font-family: arial, helvetica, sans-serif; text-align: left;}
              .SmallFormTextR {font-size: xx-small; font-family: arial, helvetica, sans-serif; text-align: right;}
              .SmallFormTextC {font-size: xx-small; font-family: arial, helvetica, sans-serif; text-align: center;}
              .MedSmallFormText {font-size: x-small; font-family: arial, helvetica, sans-serif; text-align: left;}
              .FormTitle {font-size: medium; font-family: arial, helvetica, sans-serif; font-weight: bold;}
              .FormTitle1 {font-size: small; font-family: arial, helvetica, sans-serif; font-weight: bold; border-top: black thick solid;}
              .FormTitle2 {font-size: small; font-family: arial, helvetica, sans-serif; font-weight: bold;}
              .FormTitle3 {font-size: small; font-family: arial, helvetica, sans-serif; font-weight: bold; padding-top: 2em; padding-bottom: 1em;}
              .SectionTitle {font-size: small; text-align: left; font-family: arial, helvetica, sans-serif; 
              		font-weight: bold; border-top: gray thin solid; border-bottom: gray thin solid;}
              .FormName {font-size: large; font-family: arial, helvetica, sans-serif; font-weight: bold;}
              .CheckBox {text-align: center; width: 5px; cell-spacing: 0; padding: 0 3 0 3; border-width: thin; border-style: solid;  border-color: black:}
              body {background: white;}
      </style>
   </xsl:template>
   
   <xsl:template name="createCIKLink">
      <xsl:param name="aCIK" />
      <xsl:param name="label" />
      <xsl:param name="aclass" />
      <xsl:element name="a">
         <xsl:if test="$aclass!=''">
            <xsl:attribute name="class"><xsl:value-of select="$aclass" /></xsl:attribute>
         </xsl:if>
         <xsl:attribute name="href">/cgi-bin/browse-edgar?action=getcompany&amp;CIK=<xsl:value-of select="$aCIK" /></xsl:attribute>
         <xsl:apply-templates select="$label" mode="mode0" />
      </xsl:element>
   </xsl:template>

   <xsl:template name="createFileNoLink">
      <xsl:param name="aFileNumber" />
      <xsl:param name="label" />
      <xsl:element name="a">
         <xsl:attribute name="href">/cgi-bin/browse-edgar?action=getcompany&amp;filenum=<xsl:value-of select="$aFileNumber" /></xsl:attribute>
         <xsl:apply-templates select="$label" />
      </xsl:element>
   </xsl:template>

   <xsl:template match="*" mode="footnoted">
      <xsl:apply-templates select="value" mode="Normal" />
      <xsl:apply-templates select="footnoteId" />
   </xsl:template>

   <xsl:template match="*" mode="Dollar">
      <xsl:if test="count(.)&gt;0">
         <span class="FormText">$</span>
      </xsl:if>
      <xsl:apply-templates select="." mode="Normal" />
   </xsl:template>

   <xsl:template match="*" mode="Normal">
      <span class="FormData">
         <xsl:apply-templates select="." mode="noSpan" />
      </span>
   </xsl:template>

   <xsl:template match="*" mode="NormalText">
      <span class="FormData">
         <xsl:apply-templates select="." mode="noSpanText" />
      </span>
   </xsl:template>

   <xsl:template match="*" mode="DollarTD">
      <td align="right">
        <xsl:apply-templates select="." mode="Dollar" />
      </td>
   </xsl:template>

   <xsl:template match="*" mode="NormalTDR">
     <td class="FormDataR">
       <xsl:apply-templates select="." mode="value_or_blank"/>
     </td>
   </xsl:template>

   <xsl:template match="*" mode="NormalTDL">
     <td class="FormData">
       <xsl:apply-templates select="." mode="value_or_blank"/>
     </td>
   </xsl:template>

   <xsl:template match="*" mode="NormalTDLZ">
     <td class="FormData">
       <xsl:apply-templates select="." mode="zip_or_blank"/>
     </td>
   </xsl:template>

   <xsl:template match="*" mode="NormalTDLCS2">
      <td class="FormData" colspan="2">
        <xsl:apply-templates select="." mode="value_or_blank"/>
      </td>
   </xsl:template>

   <xsl:template match="*" mode="value_or_blank">
     <xsl:choose>
       <xsl:when test="string-length(.) &gt;0">
         <xsl:apply-templates select="." mode="noSpan" />
       </xsl:when>
       <xsl:otherwise>&#160;</xsl:otherwise>
     </xsl:choose>
   </xsl:template>
   
   <xsl:template match="*" mode="zip_or_blank">
     <xsl:choose>
       <xsl:when test="string-length(.) &gt;0">
         <xsl:apply-templates select="." mode="noSpanText" />
       </xsl:when>
       <xsl:otherwise>&#160;</xsl:otherwise>
     </xsl:choose>
   </xsl:template>

   <xsl:template match="*" mode="footnotedDollar">
      <xsl:if test="count(value)&gt;0">
         <span class="FormText">$</span>
      </xsl:if>
      <xsl:apply-templates select="value" mode="Normal" />
      <xsl:apply-templates select="footnoteId" />
   </xsl:template>

   <xsl:template match="*" mode="smallFootnotedDollar">
      <xsl:if test="count(value)&gt;0">
         <span class="SmallFormText">$</span>
      </xsl:if>
      <xsl:apply-templates select="value" mode="Small" />
      <xsl:apply-templates select="footnoteId" />
   </xsl:template>

   <xsl:template match="*" mode="smallFootnoted">
      <xsl:apply-templates select="value" mode="Small" />
      <xsl:apply-templates select="footnoteId" />
   </xsl:template>

   <xsl:template match="footnoteId">
      <span class="FootnoteData"><sup>(<xsl:value-of select="substring-after(@id,'F')" />)</sup></span>
   </xsl:template>

   <xsl:template match="*" mode="NormalZip">
      <span class="FormData">
         <xsl:apply-templates select="." mode="noSpanText" />
      </span>
   </xsl:template>

   <xsl:template match="*" mode="Small">
      <span class="SmallFormData">
         <xsl:apply-templates select="." mode="noSpan" />
      </span>
   </xsl:template>

   <xsl:template match="transactionTimeliness">
      <xsl:choose>
         <xsl:when test="value='L'">
            <span class="formData">5</span>
         </xsl:when>
      </xsl:choose>
   </xsl:template>

   <xsl:template name="DateLabel">(Month/Day/Year)</xsl:template>

   <xsl:template match="*" mode="selfFormatDate">
      <xsl:choose>
         <xsl:when test="substring(., 5, 1)='-'"><xsl:value-of select="substring(., 6, 2)" />/<xsl:value-of select="substring(., 9, 2)" />/<xsl:value-of select="substring(., 1, 4)" /></xsl:when>
         <xsl:when test="substring(., 3, 1)='-'"><xsl:value-of select="substring(., 1, 2)" />/<xsl:value-of select="substring(., 4, 2)" />/<xsl:value-of select="substring(., 7, 4)" /></xsl:when>
         <xsl:otherwise><xsl:apply-templates select="." mode="noSpan" /></xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template match="*" mode="formatDate">
      <span class="FormData">
         <xsl:choose>
            <xsl:when test="value!=''">
               <xsl:apply-templates select="value" mode="selfFormatDate" />
            </xsl:when>
            <xsl:otherwise>
               <xsl:apply-templates select="." mode="selfFormatDate" />
            </xsl:otherwise>
         </xsl:choose>
      </span>

      <xsl:apply-templates select="footnoteId" />
   </xsl:template>

   <xsl:template match="*" mode="smallFormatDate">
      <span class="SmallFormData">
         <xsl:choose>
            <xsl:when test="value!=''">
               <xsl:apply-templates select="value" mode="selfFormatDate" />
            </xsl:when>
            <xsl:otherwise>
               <xsl:apply-templates select="." mode="selfFormatDate" />
            </xsl:otherwise>
         </xsl:choose>
      </span>

      <xsl:apply-templates select="footnoteId" />
   </xsl:template>

   <xsl:template match="*" mode="noSpanText">
      <xsl:choose>
         <xsl:when test="text()">
            <xsl:choose>
               <xsl:when test="@no-escaping">
                  <xsl:value-of select="." disable-output-escaping="yes" />
               </xsl:when>
               <xsl:otherwise>
                  <xsl:value-of select="." />
               </xsl:otherwise>
            </xsl:choose>
         </xsl:when>

         <xsl:otherwise>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template match="*" mode="noSpan">
      <xsl:choose>
         <xsl:when test="text()">
            <xsl:choose>
               <xsl:when test="@no-escaping">
                  <xsl:choose>
                     <xsl:when test="number(.)">
                        <xsl:value-of select="format-number(.,'###,##0.####')" />
                     </xsl:when>
                     <xsl:otherwise>
                        <xsl:value-of select="." disable-output-escaping="yes" />
                     </xsl:otherwise>
                  </xsl:choose>
               </xsl:when>

               <xsl:otherwise>
                  <xsl:choose>
                     <xsl:when test="number(.)">
                        <xsl:value-of select="format-number(.,'###,##0.####')" />
                     </xsl:when>
                     <xsl:otherwise>
                        <xsl:value-of select="." />
                     </xsl:otherwise>
                  </xsl:choose>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:when>

         <xsl:otherwise>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template match="attribute::*">
      <xsl:value-of select="." />
   </xsl:template>

   <xsl:template match="ownerSignature">
      <tr>
         <td width="60%"></td>
         <td width="20%">
            <xsl:apply-templates select="Attonery" mode="Normal" />
            <xsl:apply-templates select="AttoneryTitle" mode="Normal" />
            <u><xsl:apply-templates select="signatureName" mode="Normal" /></u>
         </td>
         <td width="20%"><u><xsl:apply-templates select="signatureDate" mode="formatDate" /></u></td>
      </tr>
   </xsl:template>

   <xsl:template match="remarks">
      <tr><td class="FormText"><b>Remarks:</b></td></tr>
      <tr><td class="FootnoteData"><xsl:apply-templates select="." mode="noSpan" /></td></tr>
   </xsl:template>

   <xsl:template match="footnotes">
      <xsl:for-each select="footnote">
         <xsl:sort select="substring-after(@id,'F')" data-type="number" />
         <tr>
            <td class="FootnoteData"><xsl:value-of select="substring-after(@id,'F')" />. <xsl:apply-templates select="." mode="noSpan" /></td>
         </tr>
      </xsl:for-each>
   </xsl:template>

   <xsl:template name="CheckThisBox">
      <span class="FormData">X</span>
   </xsl:template>

   <xsl:template name="EmptyCheckBox">&#160;&#160;</xsl:template>

   <xsl:template name="TestCheckMark-Span">
      <xsl:param name="TestThis" />
      <xsl:param name="MarkValue" />
      <xsl:param name="SpanClass" />
      <xsl:if test="$TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y'">
         <xsl:element name="span">
            <xsl:attribute name="class"><xsl:value-of select="$SpanClass" /></xsl:attribute>
            <xsl:value-of select="$MarkValue" />
         </xsl:element>
     </xsl:if>
   </xsl:template>

   <xsl:template name="TestCheckMark">
      <xsl:param name="TestThis" />
      <xsl:param name="MarkValue" />
      <xsl:if test="$TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y'">
        <xsl:value-of select="$MarkValue" />
     </xsl:if>
   </xsl:template>

   <xsl:template name="TestCheckNoSpan">
      <xsl:param name="TestThis" />
      <xsl:if test="not($TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y')">
         <xsl:call-template name="EmptyCheckBox" />
      </xsl:if>
      <xsl:if test="$TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y'">X</xsl:if>
   </xsl:template>

   <xsl:template name="TestCheck">
      <xsl:param name="TestThis" />
      <xsl:if test="not($TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y')">
         <xsl:call-template name="EmptyCheckBox" />
      </xsl:if>
      <xsl:if test="$TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y'">
         <xsl:call-template name="CheckThisBox" />
      </xsl:if>
   </xsl:template>

   <xsl:template name="TestCheckBorder">
      <xsl:param name="TestThis" />
      <xsl:call-template name="TestCheck">
         <xsl:with-param name="TestThis" select="$TestThis" />
      </xsl:call-template>
   </xsl:template>

   <xsl:template name="TestNotCheckNoSpan">
      <xsl:param name="TestThis" />
      <xsl:if test="$TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y'">
         <xsl:call-template name="EmptyCheckBox" />
      </xsl:if>
      <xsl:if test="not($TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y')">X</xsl:if>
   </xsl:template>

   <xsl:template name="TestNotCheck">
      <xsl:param name="TestThis" />
      <xsl:if test="$TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y'">
         <xsl:call-template name="EmptyCheckBox" />
      </xsl:if>
      <xsl:if test="not($TestThis=1 or $TestThis='true' or $TestThis='1' or $TestThis='YES' or $TestThis='Y')">
         <xsl:call-template name="CheckThisBox" />
      </xsl:if>
   </xsl:template>

   <xsl:template name="TestNotCheckBorder">
      <xsl:param name="TestThis" />
      <xsl:call-template name="TestNotCheck">
         <xsl:with-param name="TestThis" select="$TestThis" />
      </xsl:call-template>
   </xsl:template>

   <xsl:template name="Build2Radios">
      <xsl:param name="TestThis1" />
      <xsl:param name="TestNotThis1" />
      <xsl:param name="Label1" />
      <xsl:param name="TestThis2" />
      <xsl:param name="TestNotThis2" />
      <xsl:param name="Label2" />
      <table width="100%" border="0" summary="Table with two boxes">
         <tr>
            <td class="CheckBox">
               <xsl:if test="not($TestThis1='') and $TestNotThis1=''">
                  <xsl:call-template name="TestCheckBorder">
                     <xsl:with-param name="TestThis" select="$TestThis1" />
                  </xsl:call-template>
               </xsl:if>
               <xsl:if test="$TestThis1='' and not($TestNotThis1='')">
                  <xsl:call-template name="TestNotCheckBorder">
                     <xsl:with-param name="TestThis" select="$TestNotThis1" />
                  </xsl:call-template>
               </xsl:if>
               <xsl:if test="$TestThis1='' and $TestNotThis1=''">
                  <xsl:call-template name="TestCheckBorder">
                     <xsl:with-param name="TestThis" select="$TestNotThis1" />
                  </xsl:call-template>
               </xsl:if>
            </td>
            <td class="FormText">
               <xsl:value-of select="$Label1" />
            </td>
            <td class="CheckBox">
               <xsl:if test="not($TestThis2='') and $TestNotThis2=''">
                  <xsl:call-template name="TestCheckBorder">
                     <xsl:with-param name="TestThis" select="$TestThis2" />
                  </xsl:call-template>
               </xsl:if>
               <xsl:if test="$TestThis2='' and not($TestNotThis2='')">
                  <xsl:call-template name="TestNotCheckBorder">
                     <xsl:with-param name="TestThis" select="$TestNotThis2" />
                  </xsl:call-template>
               </xsl:if>
               <xsl:if test="$TestThis2='' and $TestNotThis2=''">
                  <xsl:call-template name="TestCheckBorder">
                     <xsl:with-param name="TestThis" select="$TestNotThis1" />
                  </xsl:call-template>
               </xsl:if>
            </td>
            <td class="FormText">
               <xsl:value-of select="$Label2" />
            </td>
         </tr>
      </table>
   </xsl:template>
   
   <xsl:template name="BuildSoloRadioTR">
      <xsl:param name="TestThis" />
      <xsl:param name="TestNotThis" />
      <xsl:param name="Label" />
      <xsl:param name="Default" />
      <xsl:if test="not($Label='')">
         <tr>
            <xsl:call-template name="BuildSoloRadioTD">
               <xsl:with-param name="TestThis" select="$TestThis" />
               <xsl:with-param name="TestNotThis" select="$TestNotThis" />
               <xsl:with-param name="Label" select="$Label" />
               <xsl:with-param name="Default" select="$Default" />
            </xsl:call-template>
         </tr>
      </xsl:if>
   </xsl:template>

   <xsl:template name="BuildSoloRadioTD">
      <xsl:param name="TestThis" />
      <xsl:param name="TestNotThis" />
      <xsl:param name="Label" />
      <xsl:param name="LeftLabel" />
      <xsl:param name="LeftLabel2" />
      <xsl:param name="Default" />
      <xsl:if test="not($LeftLabel='')">
         <td class="FormText"><xsl:value-of select="$LeftLabel" />
            <xsl:if test="not($LeftLabel2='')">
               <br /><xsl:value-of select="$LeftLabel2" />
            </xsl:if>
         </td>
      </xsl:if>
      <xsl:if test="not($Label='') or not ($LeftLabel='')">
        <td class="CheckBox">
           <xsl:choose>
              <xsl:when test="not($TestThis='') and $TestNotThis=''">
                 <xsl:call-template name="TestCheckBorder">
                    <xsl:with-param name="TestThis" select="$TestThis" />
                 </xsl:call-template>
              </xsl:when>
              <xsl:when test="$TestThis='' and not($TestNotThis='')">
                 <xsl:call-template name="TestNotCheckBorder">
                    <xsl:with-param name="TestThis" select="$TestNotThis" />
                 </xsl:call-template>
              </xsl:when>
              <xsl:when test="$TestThis='' and $TestNotThis=''">
                 <xsl:call-template name="TestCheckBorder">
                       <xsl:with-param name="TestThis" select="$TestNotThis" />
                 </xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                 <xsl:if test="$Label=$Default">
                    <xsl:call-template name="TestCheckBorder">
                       <xsl:with-param name="TestThis" select="1" />
                    </xsl:call-template>
                 </xsl:if>
              </xsl:otherwise>
           </xsl:choose>
        </td>
        <xsl:if test="not($Label='')">
           <td class="FormText">
              <xsl:value-of select="$Label" />
           </td>
        </xsl:if>
      </xsl:if>
   </xsl:template>
   
   <xsl:template name="BuildXHRadios">
      <xsl:param name="TestThis1" />
      <xsl:param name="TestNotThis1" />
      <xsl:param name="Label1" />
      <xsl:param name="TestThis2" />
      <xsl:param name="TestNotThis2" />
      <xsl:param name="Label2" />
      <xsl:param name="TestThis3" />
      <xsl:param name="TestNotThis3" />
      <xsl:param name="Label3" />
      <xsl:param name="TestThis4" />
      <xsl:param name="TestNotThis4" />
      <xsl:param name="Label4" />
      <xsl:param name="TestThis5" />
      <xsl:param name="TestNotThis5" />
      <xsl:param name="Label5" />
      <xsl:param name="TestThis6" />
      <xsl:param name="TestNotThis6" />
      <xsl:param name="Label6" />
      <xsl:param name="LeftLabel" />
      <xsl:param name="Default" />
      <table border="0" cellpadding="5" cellspacing="2" summary="Table with Multiple Horizontal boxes">
         <tr>
         <xsl:if test="not($LeftLabel='')">
           <td><xsl:value-of select="$LeftLabel" /></td>
         </xsl:if>
         <xsl:call-template name="BuildSoloRadioTD">
            <xsl:with-param name="TestThis" select="$TestThis1" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis1" />
            <xsl:with-param name="Label" select="$Label1" />
            <xsl:with-param name="Default" select="$Default" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTD">
            <xsl:with-param name="TestThis" select="$TestThis2" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis2" />
            <xsl:with-param name="Label" select="$Label2" />
            <xsl:with-param name="Default" select="$Default" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTD">
            <xsl:with-param name="TestThis" select="$TestThis3" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis3" />
            <xsl:with-param name="Label" select="$Label3" />
            <xsl:with-param name="Default" select="$Default" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTD">
            <xsl:with-param name="TestThis" select="$TestThis4" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis4" />
            <xsl:with-param name="Label" select="$Label4" />
            <xsl:with-param name="Default" select="$Default" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTD">
            <xsl:with-param name="TestThis" select="$TestThis5" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis5" />
            <xsl:with-param name="Label" select="$Label5" />
            <xsl:with-param name="Default" select="$Default" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTD">
            <xsl:with-param name="TestThis" select="$TestThis6" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis6" />
            <xsl:with-param name="Label" select="$Label6" />
            <xsl:with-param name="Default" select="$Default" />
         </xsl:call-template>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="BuildXRadios">
      <xsl:param name="TestThis1" />
      <xsl:param name="TestNotThis1" />
      <xsl:param name="Label1" />
      <xsl:param name="TestThis2" />
      <xsl:param name="TestNotThis2" />
      <xsl:param name="Label2" />
      <xsl:param name="TestThis3" />
      <xsl:param name="TestNotThis3" />
      <xsl:param name="Label3" />
      <xsl:param name="TestThis4" />
      <xsl:param name="TestNotThis4" />
      <xsl:param name="Label4" />
      <xsl:param name="TestThis5" />
      <xsl:param name="TestNotThis5" />
      <xsl:param name="Label5" />
      <xsl:param name="TestThis6" />
      <xsl:param name="TestNotThis6" />
      <xsl:param name="Label6" />
      <table width="100%" border="0" summary="Table with Multiple boxes">
         <xsl:call-template name="BuildSoloRadioTR">
            <xsl:with-param name="TestThis" select="$TestThis1" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis1" />
            <xsl:with-param name="Label" select="$Label1" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTR">
            <xsl:with-param name="TestThis" select="$TestThis2" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis2" />
            <xsl:with-param name="Label" select="$Label2" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTR">
            <xsl:with-param name="TestThis" select="$TestThis3" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis3" />
            <xsl:with-param name="Label" select="$Label3" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTR">
            <xsl:with-param name="TestThis" select="$TestThis4" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis4" />
            <xsl:with-param name="Label" select="$Label4" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTR">
            <xsl:with-param name="TestThis" select="$TestThis5" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis5" />
            <xsl:with-param name="Label" select="$Label5" />
         </xsl:call-template>
         <xsl:call-template name="BuildSoloRadioTR">
            <xsl:with-param name="TestThis" select="$TestThis6" />
            <xsl:with-param name="TestNotThis" select="$TestNotThis6" />
            <xsl:with-param name="Label" select="$Label6" />
         </xsl:call-template>
      </table>
   </xsl:template>

   <xsl:template name="BuildCheckBox">
      <xsl:param name="TestThis" />
      <xsl:param name="TestNotThis" />
      <xsl:param name="Label" />
      <xsl:param name="LeftLabel" />
      <xsl:param name="LeftLabel2" />
      <table border="0" summary="Table with single CheckBox">
         <tr>
            <xsl:if test="not($LeftLabel='')">
              <td class="FormText"><xsl:value-of select="$LeftLabel" />
                 <xsl:if test="not($LeftLabel2='')">
                    <br /><xsl:value-of select="$LeftLabel2" />
                 </xsl:if>
              </td>
            </xsl:if>
            <td class="CheckBox">
              <xsl:if test="not($TestThis='') and $TestNotThis=''">
                 <xsl:call-template name="TestCheckBorder">
                    <xsl:with-param name="TestThis" select="$TestThis" />
                 </xsl:call-template>
              </xsl:if>
              <xsl:if test="$TestThis='' and not($TestNotThis='')">
                 <xsl:call-template name="TestNotCheckBorder">
                    <xsl:with-param name="TestThis" select="$TestNotThis" />
                 </xsl:call-template>
              </xsl:if>
              <xsl:if test="$TestThis='' and $TestNotThis=''">
                 <xsl:call-template name="TestCheckBorder">
                    <xsl:with-param name="TestThis" select="$TestThis" />
                 </xsl:call-template>
              </xsl:if>
            </td>
            <xsl:if test="not($Label='')">
              <td align="left" class="FormText">
                 <xsl:value-of select="$Label" />
              </td>
            </xsl:if>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="TitleBox">
      <xsl:param name="FormTitle" />
      <xsl:param name="FormTitle1" />
      <xsl:param name="FormTitle2" />
      <span class="FormTitle">UNITED STATES SECURITIES AND EXCHANGE COMMISSION</span>
      <br />
      <span class="FormText">Washington, D.C. 20549</span>
      <br />
      <span class="FormTitle">
         <xsl:value-of select="$FormTitle" />
      </span>
      <br />
      <br />
      <span class="FormTitle">
         <xsl:value-of select="$FormTitle1" />
      </span>
      <br />
      <br />
      <xsl:if test="$FormTitle2!=''">
         <span class="FormTitle">
            <xsl:value-of select="$FormTitle2" />
         </span>
         <br />
      </xsl:if>
   </xsl:template>

   <xsl:template name="Form345TitleBox">
      <xsl:param name="FormTitle" />
      <span class="FormTitle">UNITED STATES SECURITIES AND EXCHANGE COMMISSION</span>
      <br />
      <span class="MedSmallFormText">Washington, D.C. 20549</span>
      <br />
      <br />
      <span class="FormTitle">
         <xsl:value-of select="$FormTitle" />
      </span>
      <br />
      <br />
      <span class="MedSmallFormText">Filed pursuant to Section 16(a) of the Securities Exchange Act of 1934</span>
      <br />
      <span class="MedSmallFormText">or Section 30(h) of the Investment Company Act of 1940</span>
   </xsl:template>

   <xsl:template name="OMBBox">
      <xsl:param name="OMBNumber" />
      <xsl:param name="OMBExpireDate" />
      <xsl:param name="OMBHours" />
      <xsl:param name="OMBAvgHours" />
      <xsl:param name="OMBIntHours" />
      <xsl:param name="OMBMinHours" />
      <table width="100%" border="1" summary="OMB Approval Status Box">
         <tr><td class="FormTextC">OMB APPROVAL</td></tr>
         <tr>
            <td>
               <table width="100%" border="0" summary="OMB Interior Box">
                  <tr>
                     <td class="SmallFormText" colspan="3">OMB Number:</td>
                     <td class="SmallFormTextR">
                        <xsl:value-of select="$OMBNumber" />
                     </td>
                  </tr>
                  <xsl:if test="$OMBExpireDate!=''">
                     <tr>
                        <td class="SmallFormText">Expires:</td>
                        <td class="SmallFormTextR" colspan="3">
                           <xsl:value-of select="$OMBExpireDate" />
                        </td>
                     </tr>
                  </xsl:if>
                  <xsl:if test="$OMBHours!=''">
                     <tr>
                        <td class="SmallFormText" colspan="4">Estimated average burden</td>
                     </tr>
                     <tr>
                        <td class="SmallFormText" colspan="3">hours per response:</td>
                        <td class="SmallFormTextR">
                           <xsl:value-of select="$OMBHours" />
                        </td>
                     </tr>
                  </xsl:if>
                  <xsl:if test="$OMBAvgHours!=''">
                     <tr>
                        <td class="SmallFormText" colspan="4">Estimated average burden</td>
                     </tr>
                     <tr>
                        <td class="SmallFormText" colspan="3">hours per response:</td>
                        <td class="SmallFormTextR">
                           <xsl:value-of select="$OMBAvgHours" />
                        </td>
                     </tr>
                  </xsl:if>

                  <xsl:if test="$OMBIntHours!=''">
                     <tr>
                        <td class="SmallFormText" colspan="4">Estimated average burden hours per</td>
                     </tr>
                     <tr>
                        <td class="SmallFormText" colspan="3">intermediate response:</td>
                        <td class="SmallFormTextR">
                           <xsl:value-of select="$OMBIntHours" />
                        </td>
                     </tr>
                  </xsl:if>
                  <xsl:if test="$OMBMinHours!=''">
                     <tr>
                        <td class="SmallFormText" colspan="4">Estimated average burden hours per</td>
                     </tr>
                     <tr>
                        <td class="SmallFormText" colspan="3">minimum response:</td>
                        <td class="SmallFormTextR">
                           <xsl:value-of select="$OMBMinHours" />
                        </td>
                     </tr>
                  </xsl:if>
               </table>
            </td>
         </tr>
      </table>
   </xsl:template>
</xsl:stylesheet>

