<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

   <xsl:template match="/">
      <html>
         <head>
            <meta http-equiv="content-type" content="text/html; charset=UTF-8" />

            <title>Summary of Titles</title>
         </head>

		 <style>
            .FormData {color: blue; font-size: small; font-family: Times serif}
            .SmallFormData {color: blue; font-size: x-small; font-family: Times serif}

            .FormText {font-size: x-small; font-family: arial helvetica sans-serif}
            .SmallFormText {font-size: xx-small; font-family: arial helvetica sans-serif}
            .FormTitle {font-size: medium; font-family: arial helvetica; font-weight: bold}
            .FormName {font-size: large; font-family: arial helvetica; font-weight: bold}
         
		 </style>

         <body>
         	
       <table>
          <tr>
         	<td width="40%" class="FormText">Issuer Name: </td>
			
			<td width="60%"><xsl:apply-templates select="*/SECDocument[1]/ReportingPerson/Security/IssuerName" /></td>
		  </tr>
          <tr>
         	<td width="40%" class="FormText">Ticker Symbol: </td>
			
			<td width="60%"><xsl:apply-templates select="*/SECDocument[1]/ReportingPerson/Security/TickerSymbol" /></td>
		  </tr>
	   </table>
	   <br />
	   
	   <table border="1" width="90%">
		 <tr>
			<td width="35%" class="FormText">Name</td>
			<td width="20%" class="FormText">Relationship</td>
			<td width="30%" class="FormText">Title</td>
			<td width="15%" class="FormText">Date</td>
		 </tr>
         	<xsl:apply-templates select="*/SECDocument/ReportingPerson" />
        </table>
         </body>
      </html>
   </xsl:template>

	<xsl:template match="*/SECDocument/ReportingPerson">
		 
		 <tr>
			<td>
			   <xsl:apply-templates select = "PersonName" />
			</td>
			<td>
				<xsl:apply-templates select = "Relationship/Director" />
				<xsl:apply-templates select = "Relationship/TenPercentOwner" />
				<xsl:apply-templates select = "Relationship/Officer" />
				<xsl:apply-templates select = "Relationship/Other" />
			</td>
			<td>
				<xsl:apply-templates select = "Relationship/Title" />
			</td>
			<td>
				<xsl:apply-templates select = "StatementDate" />
			</td>
		 </tr>
		 
   </xsl:template>
   
   <xsl:template match="*/Relationship/Director">
      <div class="FormData">Director</div>
   </xsl:template>
   
   <xsl:template match="*/Relationship/TenPercentOwner">
      <div class="FormData">10% Percent Owner</div>
   </xsl:template>
   
   <xsl:template match="*/Relationship/Officer">
      <div class="FormData">Officer</div>
   </xsl:template>
   
   <xsl:template match="*/Relationship/Other">
      <div class="FormData">Other</div>
   </xsl:template>
   
   <xsl:template match="*">
      <xsl:choose>
         <xsl:when test="text()">
            <xsl:choose>
               <xsl:when test="@no-escaping">
                  <div class="FormData">
                     <xsl:value-of select="." disable-output-escaping="yes" />
                  </div>
               </xsl:when>

               <xsl:otherwise>
                  <div class="FormData">
                     <xsl:value-of select="." />
                  </div>
               </xsl:otherwise>
            </xsl:choose>
         </xsl:when>

         <xsl:otherwise>
            <div class="FormData">
            </div>
         </xsl:otherwise>
      </xsl:choose>

      <xsl:if test="not(position()=last())">
         <br />
      </xsl:if>
   </xsl:template>

</xsl:stylesheet>