<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
   XSL Stylesheet for TA-1, TA-2, TA-W Forms, Common Components
   Version 1.0 - Dated November 21, 2006 
   Created By: SAIC 
   Created for: SEC
   -->
   
   <xsl:template name="QuestionAnswerCIK">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="aCIK" />
      <xsl:param name="Breaks" />
      <xsl:call-template name="Question">
         <xsl:with-param name="Number" select="$Number" />
         <xsl:with-param name="Question" select="$Question" />
         <xsl:with-param name="Breaks" select="$Breaks" />
      </xsl:call-template>
      <xsl:call-template name="createCIKLink">
         <xsl:with-param name="aCIK" select="$aCIK" />
         <xsl:with-param name="label" select="$aCIK" />
      </xsl:call-template>
   </xsl:template>

   <xsl:template name="QuestionAnswerFiler">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="aFileNumber" />
      <xsl:param name="Breaks" />
      <xsl:call-template name="Question">
         <xsl:with-param name="Number" select="$Number" />
         <xsl:with-param name="Question" select="$Question" />
         <xsl:with-param name="Breaks" select="$Breaks" />
      </xsl:call-template>
      <xsl:if test="not($aFileNumber='')">
         <xsl:call-template name="createFileNoLink">
            <xsl:with-param name="aFileNumber" select="$aFileNumber" />
            <xsl:with-param name="label" select="$aFileNumber" />
         </xsl:call-template>
      </xsl:if>
   </xsl:template>

   <xsl:template name="AddressBlockA">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="AddressInfo" />
      <xsl:call-template name="Question">
         <xsl:with-param name="Number" select="''" />
         <xsl:with-param name="Question" select="$Question" />
 	     <xsl:with-param name="Breaks" select="1" />
      </xsl:call-template>
      <xsl:for-each select="$AddressInfo">
      	 <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(a)')" />
 	        <xsl:with-param name="Question" select="'Address 1'" />
    	    <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./street1" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(b)')" />
            <xsl:with-param name="Question" select="'Address 2'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./street2" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(c)')" />
            <xsl:with-param name="Question" select="'City'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./city" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(d)')" />
            <xsl:with-param name="Question" select="'State or Country'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./stateOrCountryCode" mode="Normal"/>
         <br />
         <xsl:apply-templates select="./stateOrCountry" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(e)')" />
            <xsl:with-param name="Question" select="'Postal Code'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./zipCode" mode="NormalText"/>
         <br />
      </xsl:for-each>
   </xsl:template>

   <xsl:template name="AddressBlockI">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="AddressInfo" />
      
      <xsl:call-template name="Question">
         <xsl:with-param name="Number" select="''" />
         <xsl:with-param name="Question" select="$Question" />
         <xsl:with-param name="Breaks" select="1" />
      </xsl:call-template>
      <xsl:for-each select="$AddressInfo">
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(i)')" />
            <xsl:with-param name="Question" select="'Address 1'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./street1" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(ii)')" />
            <xsl:with-param name="Question" select="'Address 2'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./street2" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(iii)')" />
            <xsl:with-param name="Question" select="'City'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./city" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(iv)')" />
            <xsl:with-param name="Question" select="'State or Country'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./stateOrCountryCode" mode="Normal"/>
         <br />
         <xsl:apply-templates select="./stateOrCountry" mode="Normal"/>
         <br />
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="concat($Number,'(v)')" />
            <xsl:with-param name="Question" select="'Postal Code'" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
         <xsl:apply-templates select="./zipCode" mode="NormalText"/>
         <br />
      </xsl:for-each>
   </xsl:template>

   <xsl:template name="AnswerFilerTable">
      <xsl:param name="Answer" />
      <xsl:param name="aFileNumber" />
      <tr>
         <xsl:apply-templates select="$Answer" mode="NormalTDL"/>
         <td>
            <xsl:if test="not($aFileNumber='')">
               <xsl:call-template name="createFileNoLink">
                  <xsl:with-param name="aFileNumber" select="$aFileNumber" />
                  <xsl:with-param name="label" select="$aFileNumber" />
               </xsl:call-template>
            </xsl:if>
         </td>
      </tr>
   </xsl:template>
   
   <xsl:template name="SignatureBlock">
      <xsl:param name="Number" />
      <xsl:param name="SignatureData" />
      <table border="1"  width="100%" cellspacing="0" summary="Signature Block Information">
        <tr>
          <td align="left" width="50%">
             <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(a)')" />
               <xsl:with-param name="Question" select="'Signature of Official responsible for Form:'" />
               <xsl:with-param name="Answer" select="$SignatureData/signatureName" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
          </td>
          <td align="left" width="50%">
            <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(b)')" />
               <xsl:with-param name="Question" select="'Telephone Number:'" />
               <xsl:with-param name="Answer" select="$SignatureData/signaturePhoneNumber" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td align="left">
             <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(c)')" />
               <xsl:with-param name="Question" select="'Title of Signing Officer:'" />
               <xsl:with-param name="Answer" select="$SignatureData/signatureTitle" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
          </td>
          <td align="left">
            <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(d)')" />
               <xsl:with-param name="Question" select="'Date Signed (Month/Day/Year)'" />
               <xsl:with-param name="Answer" select="$SignatureData/signatureDate" />
               <xsl:with-param name="Breaks" select="1" />
               <xsl:with-param name="ADate" select="1" />
            </xsl:call-template>
          </td>
        </tr>
      </table>
   </xsl:template>
  
   <xsl:template name="Answer6ColTable">
      <xsl:param name="AnswerCol1" />
      <xsl:param name="AnswerCol2" />
      <xsl:param name="AnswerCol3" />
      <xsl:param name="AnswerCol4" />
      <xsl:param name="AnswerCol5" />
      <xsl:param name="AnswerCol6" />
      <tr>
         <xsl:apply-templates select="$AnswerCol1" mode="NormalTDR"/>
         <xsl:apply-templates select="$AnswerCol2" mode="NormalTDR"/>
         <xsl:apply-templates select="$AnswerCol3" mode="NormalTDR"/>
         <xsl:apply-templates select="$AnswerCol4" mode="NormalTDR"/>
         <xsl:apply-templates select="$AnswerCol5" mode="NormalTDR"/>
         <xsl:apply-templates select="$AnswerCol6" mode="NormalTDR"/>
      </tr>
   </xsl:template>
   
   <xsl:template name="Answer3ColTable">
      <xsl:param name="Number" />
      <xsl:param name="RowHeader" />
      <xsl:param name="AnswerCol1" />
      <xsl:param name="AnswerCol2" />
      <xsl:param name="ADate" />
      <xsl:param name="Dollar" />
      <tr>
         <td align="Left">
            <xsl:call-template name="Question">
               <xsl:with-param name="Number" select="concat($Number,'(i)')" />
               <xsl:with-param name="Question" select="$RowHeader" />
            </xsl:call-template>
         </td>
         <td align="right">
            <xsl:call-template name="Answer">
               <xsl:with-param name="Answer" select="$AnswerCol1" />
               <xsl:with-param name="Dollar" select="$Dollar" />
               <xsl:with-param name="ADate" select="$ADate" />
            </xsl:call-template>
         </td>
         <td align="right">
            <xsl:call-template name="Answer">
               <xsl:with-param name="Answer" select="$AnswerCol2" />
               <xsl:with-param name="Dollar" select="$Dollar" />
               <xsl:with-param name="ADate" select="$ADate" />
            </xsl:call-template>
         </td>
      </tr>
   </xsl:template>

   <xsl:template name="Answer3ColTable2">
      <xsl:param name="AnswerCol1" />
      <xsl:param name="AnswerCol2" />
      <xsl:param name="AnswerCol3" />
      <xsl:param name="ADate1" />
      <xsl:param name="Dollar1" />
      <xsl:param name="ADate2" />
      <xsl:param name="Dollar2" />
      <xsl:param name="ADate3" />
      <xsl:param name="Dollar3" />
      <tr>
         <td align="center">
            <xsl:call-template name="Answer">
               <xsl:with-param name="Answer" select="$AnswerCol1" />
               <xsl:with-param name="Dollar" select="$Dollar1" />
               <xsl:with-param name="ADate" select="$ADate1" />
            </xsl:call-template>
         </td>
         <td align="center">
            <xsl:call-template name="Answer">
               <xsl:with-param name="Answer" select="$AnswerCol2" />
               <xsl:with-param name="Dollar" select="$Dollar2" />
               <xsl:with-param name="ADate" select="$ADate2" />
            </xsl:call-template>
         </td>
         <td align="center">
            <xsl:call-template name="Answer">
               <xsl:with-param name="Answer" select="$AnswerCol3" />
               <xsl:with-param name="Dollar" select="$Dollar3" />
               <xsl:with-param name="ADate" select="$ADate3" />
            </xsl:call-template>
         </td>
      </tr>
   </xsl:template>

   <xsl:template name="Answer7ColTable">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="AnswerCol1" />
      <xsl:param name="AnswerCol2" />
      <xsl:param name="AnswerCol3" />
      <xsl:param name="AnswerCol4" />
      <xsl:param name="AnswerCol5" />
      <xsl:param name="AnswerCol6" />
      <tr>
         <xsl:call-template name="QuestionTD">
            <xsl:with-param name="Number" select="$Number" />
            <xsl:with-param name="Question" select="$Question" />
         </xsl:call-template>
         <td align="center">
            <xsl:call-template name="Question">
               <xsl:with-param name="Number" select="concat($Number,'(i)')" />
               <xsl:with-param name="Question" select="''" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:apply-templates select="$AnswerCol1" mode="Normal"/>
         </td>
         <td align="center">
            <xsl:call-template name="Question">
               <xsl:with-param name="Number" select="concat($Number,'(ii)')" />
               <xsl:with-param name="Question" select="''" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:apply-templates select="$AnswerCol2" mode="Normal"/>
         </td>
         <td align="center">
            <xsl:call-template name="Question">
               <xsl:with-param name="Number" select="concat($Number,'(iii)')" />
               <xsl:with-param name="Question" select="''" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:apply-templates select="$AnswerCol3" mode="Normal"/>
         </td>
         <td align="center">
            <xsl:call-template name="Question">
               <xsl:with-param name="Number" select="concat($Number,'(iv)')" />
               <xsl:with-param name="Question" select="''" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:apply-templates select="$AnswerCol4" mode="Normal"/>
         </td>
         <td align="center">
             <xsl:call-template name="Question">
               <xsl:with-param name="Number" select="concat($Number,'(v)')" />
               <xsl:with-param name="Question" select="''" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:apply-templates select="$AnswerCol5" mode="Normal"/>
         </td>
         <td align="center">
            <xsl:call-template name="Question">
               <xsl:with-param name="Number" select="concat($Number,'(vi)')"/>
               <xsl:with-param name="Question" select="''" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:apply-templates select="$AnswerCol6" mode="Normal"/>
         </td>
      </tr>
   </xsl:template>

   <xsl:template name="QuestionAnswer2RBs">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test1" />
      <xsl:param name="NotTest1" />
      <xsl:param name="Label1" />
      <xsl:param name="Test2" />
      <xsl:param name="NotTest2" />
      <xsl:param name="Label2" />
      <xsl:param name="QWidth" />
      <table border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="$QWidth" />
            </xsl:call-template>
         </tr>
         <tr>
            <td>
               <xsl:call-template name="Build2Radios">
                  <xsl:with-param name="TestThis1" select="$Test1" />
                  <xsl:with-param name="TestNotThis1" select="$NotTest1" />
                  <xsl:with-param name="Label1" select="$Label1" />
                  <xsl:with-param name="TestThis2" select="$Test2" />
                  <xsl:with-param name="TestNotThis2" select="$NotTest2" />
                  <xsl:with-param name="Label2" select="$Label2" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>
   
   <xsl:template name="QuestionAnswer2RBT">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test1" />
      <xsl:param name="NotTest1" />
      <xsl:param name="Label1" />
      <xsl:param name="Test2" />
      <xsl:param name="NotTest2" />
      <xsl:param name="Label2" />
      <xsl:param name="QWidth" />
      <table border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="$QWidth" />
            </xsl:call-template>
            <td>
               <xsl:call-template name="Build2Radios">
                  <xsl:with-param name="TestThis1" select="$Test1" />
                  <xsl:with-param name="TestNotThis1" select="$NotTest1" />
                  <xsl:with-param name="Label1" select="$Label1" />
                  <xsl:with-param name="TestThis2" select="$Test2" />
                  <xsl:with-param name="TestNotThis2" select="$NotTest2" />
                  <xsl:with-param name="Label2" select="$Label2" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="QuestionAnswer2RBFT">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test1" />
      <xsl:param name="NotTest1" />
      <xsl:param name="Label1" />
      <xsl:param name="Test2" />
      <xsl:param name="NotTest2" />
      <xsl:param name="Label2" />
      <xsl:param name="QWidth" />
      <table border="0" cellspacing="0" cellpadding="0" summary="" width="100%">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="$QWidth" />
            </xsl:call-template>
            <td>
               <xsl:call-template name="Build2Radios">
                  <xsl:with-param name="TestThis1" select="$Test1" />
                  <xsl:with-param name="TestNotThis1" select="$NotTest1" />
                  <xsl:with-param name="Label1" select="$Label1" />
                  <xsl:with-param name="TestThis2" select="$Test2" />
                  <xsl:with-param name="TestNotThis2" select="$NotTest2" />
                  <xsl:with-param name="Label2" select="$Label2" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="QuestionAnswer3RBs">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test1" />
      <xsl:param name="Label1" />
      <xsl:param name="Test2" />
      <xsl:param name="Label2" />
      <xsl:param name="Test3" />
      <xsl:param name="Label3" />
      <table border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="''" />
            </xsl:call-template>
         </tr>
         <tr>
            <td>
               <xsl:call-template name="BuildXRadios">
                  <xsl:with-param name="TestThis1" select="$Test1" />
                  <xsl:with-param name="Label1" select="$Label1" />
                  <xsl:with-param name="TestThis2" select="$Test2" />
                  <xsl:with-param name="Label2" select="$Label2" />
                  <xsl:with-param name="TestThis3" select="$Test3" />
                  <xsl:with-param name="Label3" select="$Label3" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="QuestionAnswer3RBHs">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test1" />
      <xsl:param name="NotTest1" />
      <xsl:param name="Label1" />
      <xsl:param name="Test2" />
      <xsl:param name="NotTest2" />
      <xsl:param name="Label2" />
      <xsl:param name="Test3" />
      <xsl:param name="Label3" />
      <xsl:param name="NotTest3" />
      <table border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="''" />
            </xsl:call-template>
         </tr>
         <tr>
            <td>
               <xsl:call-template name="BuildXHRadios">
                  <xsl:with-param name="TestThis1" select="$Test1" />
                  <xsl:with-param name="TestNotThis1" select="$NotTest1" />
                  <xsl:with-param name="Label1" select="$Label1" />
                  <xsl:with-param name="TestThis2" select="$Test2" />
                  <xsl:with-param name="TestNotThis2" select="$NotTest2" />
                  <xsl:with-param name="Label2" select="$Label2" />
                  <xsl:with-param name="TestThis3" select="$Test3" />
                  <xsl:with-param name="TestNotThis3" select="$NotTest3" />
                  <xsl:with-param name="Label3" select="$Label3" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>
   
   <xsl:template name="QuestionAnswerXRBs">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test1" />
      <xsl:param name="Label1" />
      <xsl:param name="Test2" />
      <xsl:param name="Label2" />
      <xsl:param name="Test3" />
      <xsl:param name="Label3" />
      <xsl:param name="Test4" />
      <xsl:param name="Label4" />
      <xsl:param name="Test5" />
      <xsl:param name="Label5" />
      <table border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="''" />
            </xsl:call-template>
         </tr>
         <tr>
            <td>
               <xsl:call-template name="BuildXRadios">
                  <xsl:with-param name="TestThis1" select="$Test1" />
                  <xsl:with-param name="Label1" select="$Label1" />
                  <xsl:with-param name="TestThis2" select="$Test2" />
                  <xsl:with-param name="Label2" select="$Label2" />
                  <xsl:with-param name="TestThis3" select="$Test3" />
                  <xsl:with-param name="Label3" select="$Label3" />
                  <xsl:with-param name="TestThis4" select="$Test4" />
                  <xsl:with-param name="Label4" select="$Label4" />
                  <xsl:with-param name="TestThis5" select="$Test5" />
                  <xsl:with-param name="Label5" select="$Label5" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="QuestionAnswerXRBT">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test1" />
      <xsl:param name="Label1" />
      <xsl:param name="Test2" />
      <xsl:param name="Label2" />
      <xsl:param name="Test3" />
      <xsl:param name="Label3" />
      <xsl:param name="Test4" />
      <xsl:param name="Label4" />
      <xsl:param name="Test5" />
      <xsl:param name="Label5" />
      <xsl:param name="Test6" />
      <xsl:param name="Label6" />
      <table border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="''" />
            </xsl:call-template>
            <td>
               <xsl:call-template name="BuildXRadios">
                  <xsl:with-param name="TestThis1" select="$Test1" />
                  <xsl:with-param name="Label1" select="$Label1" />
                  <xsl:with-param name="TestThis2" select="$Test2" />
                  <xsl:with-param name="Label2" select="$Label2" />
                  <xsl:with-param name="TestThis3" select="$Test3" />
                  <xsl:with-param name="Label3" select="$Label3" />
                  <xsl:with-param name="TestThis4" select="$Test4" />
                  <xsl:with-param name="Label4" select="$Label4" />
                  <xsl:with-param name="TestThis5" select="$Test5" />
                  <xsl:with-param name="Label5" select="$Label5" />
                  <xsl:with-param name="TestThis6" select="$Test6" />
                  <xsl:with-param name="Label6" select="$Label6" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="QuestionAnswer1CB">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Test" />
      <xsl:param name="Label" />
      <table border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="''" />
            </xsl:call-template>
            <td>
               <xsl:call-template name="BuildCheckBox">
                  <xsl:with-param name="TestThis" select="$Test" />
                  <xsl:with-param name="Label" select="$Label" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="QuestionAnswerClaimInfo">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="DetailName" />
      <xsl:param name="DetailTitle" />
      <xsl:param name="DetailDate" />
      <xsl:param name="DetailCourt" />
      <xsl:param name="DetailDescription" />
      <xsl:param name="DetailDisposition" />
      <xsl:if test="not($Question='')">
         <xsl:call-template name="Question">
            <xsl:with-param name="Number" select="$Number" />
            <xsl:with-param name="Question" select="$Question" />
            <xsl:with-param name="Breaks" select="1" />
         </xsl:call-template>
      </xsl:if>
      <xsl:call-template name="QuestionAnswer">
         <xsl:with-param name="Number" select="concat($Number, '(i)')" />
         <xsl:with-param name="Question" select="'The individuals named in the action or claim:' " />
         <xsl:with-param name="Answer" select="$DetailName" />
         <xsl:with-param name="Breaks" select="1" />
      </xsl:call-template>
      <table cellpadding="0" cellspacing="0" border="0" summary="Claim Information">
        <tr>
          <th width="70%" align="left">
            <xsl:call-template name="Question">
              <xsl:with-param name="Number" select="concat($Number, '(ii)')" />
              <xsl:with-param name="Question" select="'Title of Action'" />
            </xsl:call-template>
          </th>
          <th align="left">
            <xsl:call-template name="Question">
              <xsl:with-param name="Number" select="concat($Number, '(iii)')" />
              <xsl:with-param name="Question" select="'Date of Action'" />
            </xsl:call-template>
          </th>
        </tr>
        <tr>
          <td align="left">
             <xsl:call-template name="Answer">
                <xsl:with-param name="Answer" select="$DetailTitle" />
             </xsl:call-template>
          </td>
          <td align="left">
             <xsl:call-template name="Answer">
                <xsl:with-param name="Answer" select="$DetailDate" />
                <xsl:with-param name="ADate" select="1" />
             </xsl:call-template>
          </td>       
        </tr>
      </table>
      <xsl:call-template name="QuestionAnswer">
         <xsl:with-param name="Number" select="concat($Number, '(iv)')" />
         <xsl:with-param name="Question" select="'The Court or body taking the Action and location:' " />
         <xsl:with-param name="Answer" select="$DetailCourt" />
         <xsl:with-param name="Breaks" select="1" />
      </xsl:call-template>
      <xsl:call-template name="QuestionAnswer">
         <xsl:with-param name="Number" select="concat($Number, '(v)')" />
         <xsl:with-param name="Question" select="'Description of the action or claim:' " />
         <xsl:with-param name="Answer" select="$DetailDescription" />
         <xsl:with-param name="Breaks" select="1" />
      </xsl:call-template>
      <xsl:call-template name="QuestionAnswer">
         <xsl:with-param name="Number" select="concat($Number, '(vi)')" />
         <xsl:with-param name="Question" select="'Disposition of action or claim:' " />
         <xsl:with-param name="Answer" select="$DetailDisposition" />
         <xsl:with-param name="Breaks" select="1" />
      </xsl:call-template>
   </xsl:template>

   <xsl:template name="QuestionClaimInfo">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Details" />
      <xsl:param name="Test" />
      <xsl:if test="$Test=1 or $Test='true' or $Test='1'">
         <xsl:for-each select="$Details">
            <xsl:if test="not($Question='')">
               <xsl:call-template name="Question">
                  <xsl:with-param name="Number" select="$Number" />
                  <xsl:with-param name="Question" select="$Question" />
                  <xsl:with-param name="Breaks" select="1" />
               </xsl:call-template>
            </xsl:if>
            <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(i)')" />
               <xsl:with-param name="Question" select="'The individuals named in the action or claim:' " />
               <xsl:with-param name="Answer" select="./entityName" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <table cellpadding="0" cellspacing="0" border="0" summary="Claim Information">
              <tr>
                <th width="70%" align="left">
                  <xsl:call-template name="Question">
                    <xsl:with-param name="Number" select="concat($Number, '(ii)')" />
                    <xsl:with-param name="Question" select="'Title of Action'" />
                  </xsl:call-template>
                </th>
                <th align="left">
                  <xsl:call-template name="Question">
                    <xsl:with-param name="Number" select="concat($Number, '(iii)')" />
                    <xsl:with-param name="Question" select="'Date of Action'" />
                  </xsl:call-template>
                </th>
              </tr>
              <tr>
                <td align="left">
                   <xsl:call-template name="Answer">
                      <xsl:with-param name="Answer" select="./actionTitle" />
                   </xsl:call-template>
                </td>
                <td align="left">
                   <xsl:call-template name="Answer">
                      <xsl:with-param name="Answer" select="./actionDate" />
                      <xsl:with-param name="ADate" select="1" />
                   </xsl:call-template>
                </td>       
              </tr>
            </table>
            <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(iv)')" />
               <xsl:with-param name="Question" select="'The Court or body taking the Action and location:' " />
               <xsl:with-param name="Answer" select="./courtOrBodyNameAndLocation" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(v)')" />
               <xsl:with-param name="Question" select="'Description of the action or claim:' " />
               <xsl:with-param name="Answer" select="./actionDescription" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
            <xsl:call-template name="QuestionAnswer">
               <xsl:with-param name="Number" select="concat($Number, '(vi)')" />
               <xsl:with-param name="Question" select="'Disposition of action or claim:' " />
               <xsl:with-param name="Answer" select="./dispositionOfProceeding" />
               <xsl:with-param name="Breaks" select="1" />
            </xsl:call-template>
         </xsl:for-each>
      </xsl:if>
   </xsl:template>

   <xsl:template name="QuestionAnswer">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Answer" />
      <xsl:param name="Breaks" />
      <xsl:param name="Dollar" />
      <xsl:param name="ADate" />
      <xsl:param name="JustText" />
      <xsl:call-template name="Question">
         <xsl:with-param name="Number" select="$Number" />
         <xsl:with-param name="Question" select="$Question" />
         <xsl:with-param name="Breaks" select="$Breaks" />
      </xsl:call-template>
      <xsl:call-template name="Answer">
         <xsl:with-param name="Answer" select="$Answer" />
         <xsl:with-param name="Dollar" select="$Dollar" />
         <xsl:with-param name="ADate" select="$ADate" />
         <xsl:with-param name="JustText" select="$JustText" />
      </xsl:call-template>
   </xsl:template>
   
   <xsl:template name="Answer">
      <xsl:param name="Answer" />
      <xsl:param name="Dollar" />
      <xsl:param name="ADate" />
      <xsl:param name="JustText" />
      <xsl:if test="not($Answer='')">
         <xsl:if test="$ADate=1">
            <xsl:apply-templates select="$Answer" mode="formatDate" />
         </xsl:if>
         <xsl:if test="not($ADate=1)">
            <xsl:if test="$Dollar=1">
               <xsl:apply-templates select="$Answer" mode="Dollar" />
            </xsl:if>
            <xsl:if test="not($Dollar=1)">
               <xsl:if test="$JustText=1">
                  <xsl:apply-templates select="$Answer" mode="NormalText" />
               </xsl:if>
               <xsl:if test="not($JustText=1)">
                  <xsl:apply-templates select="$Answer" mode="Normal"/>
               </xsl:if>
            </xsl:if>
         </xsl:if>
      </xsl:if>
      <br />
   </xsl:template>

   <xsl:template name="QuestionAnswerTable">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Answer" />
      <xsl:param name="QWidth" />
      <xsl:param name="Dollar" />
      <xsl:param name="ADate" />
      <xsl:param name="JustText" />
      <table width="100%" border="0" cellspacing="0" cellpadding="0" summary="">
         <tr>
            <xsl:call-template name="QuestionTD">
               <xsl:with-param name="Number" select="$Number" />
               <xsl:with-param name="Question" select="$Question" />
               <xsl:with-param name="QWidth" select="$QWidth" />
            </xsl:call-template>
            <td align="right">
               <xsl:call-template name="Answer">
                  <xsl:with-param name="Answer" select="$Answer" />
                  <xsl:with-param name="Dollar" select="$Dollar" />
                  <xsl:with-param name="ADate" select="$ADate" />
                  <xsl:with-param name="JustText" select="$JustText" />
               </xsl:call-template>
            </td>
         </tr>
      </table>
   </xsl:template>

   <xsl:template name="Note">
      <xsl:param name="Part1" />
      <xsl:param name="Style1" />
      <xsl:param name="Part2" />
      <xsl:param name="Style2" />
      <xsl:param name="Part3" />
      <xsl:param name="Style3" />
      <span class="FormBoldText">Note: </span>
      <xsl:if test="not($Part1 = '')">
         <xsl:if test="not($Style1)">
            <span class="FormText"><xsl:value-of select="$Part1" /></span>
         </xsl:if>
         <xsl:if test="$Style1 = 'normal'">
            <span class="FormText"><xsl:value-of select="$Part1" /></span>
         </xsl:if>
         <xsl:if test="$Style1 = 'bold'">
            <span class="FormBoldText"><xsl:value-of select="$Part1" /></span>
         </xsl:if>
      </xsl:if>
      <xsl:if test="not($Part2 = '')">
         <xsl:if test="not($Style2)">
            <span class="FormText"><xsl:value-of select="$Part2" /></span>
         </xsl:if>
         <xsl:if test="$Style2 = 'normal'">
            <span class="FormText"><xsl:value-of select="$Part2" /></span>
         </xsl:if>
         <xsl:if test="$Style2 = 'bold'">
            <span class="FormBoldText"><xsl:value-of select="$Part2" /></span>
         </xsl:if>
      </xsl:if>
      <xsl:if test="not($Part3 = '')">
         <xsl:if test="not($Style3)">
            <span class="FormText"><xsl:value-of select="$Part3" /></span>
         </xsl:if>
         <xsl:if test="$Style3 = 'normal'">
            <span class="FormText"><xsl:value-of select="$Part3" /></span>
         </xsl:if>
         <xsl:if test="$Style3 = 'bold'">
            <span class="FormBoldText"><xsl:value-of select="$Part3" /></span>
         </xsl:if>
      </xsl:if>
      <br />
   </xsl:template>

   <xsl:template name="Question">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="Breaks" />
      <xsl:if test="not($Number = '')">
        <span class="FormNumText"><xsl:value-of select="$Number" />.</span>&#160;
      </xsl:if>
      <xsl:if test="not($Question = '')">
         <span class="FormText"><xsl:value-of select="$Question" /></span>
      </xsl:if>
      <xsl:if test="$Breaks"><br /></xsl:if>
   </xsl:template>

   <xsl:template name="QuestionTD">
      <xsl:param name="Number" />
      <xsl:param name="Question" />
      <xsl:param name="QWidth" />
      <xsl:choose>
         <xsl:when test="$QWidth='X'">
            <xsl:element name="td">
               <xsl:attribute name="class">FormText</xsl:attribute>
               <span class="FormNumText"><xsl:value-of select="$Number" />.</span>&#160;<xsl:value-of select="$Question" />
            </xsl:element>
         </xsl:when>
         <xsl:when test="string-length($QWidth)=0">
            <xsl:element name="td">
               <xsl:attribute name="class">FormText</xsl:attribute>
               <span class="FormNumText"><xsl:value-of select="$Number" />.</span>&#160;<xsl:value-of select="$Question" />
            </xsl:element>
         </xsl:when>
         <xsl:otherwise>
            <xsl:element name="td">
               <xsl:attribute name="class">FormText</xsl:attribute>
               <xsl:attribute name="width">
                  <xsl:value-of select="$QWidth" />
               </xsl:attribute>
               <span class="FormNumText"><xsl:value-of select="$Number" />.</span>&#160;<xsl:value-of select="$Question" />
            </xsl:element>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

</xsl:stylesheet>

